/********************************************************************************/
/* Name		: DomainSettings.java												*/
/* Copyright: 2003 SATCOMLABS LTD.				     			*/
/* Team		: Spam Control Team													*/
/* Developer: Amit Kumar												*/
/* Last Updated	: 																*/
/* Abstract		:  																*/
/* Called from	: 																*/
/* Calls		: 																*/
/********************************************************************************/

package com.antispam;

import java.net.*;
import java.io.*;
import com.DBConnection;
import com.replace.Replace;
//import com.SocketConnection;

public class DomainSettings
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
//	  SocketConnection socketconn =new SocketConnection();
      
      public int hiddomainid = 0;
	  public int txtuserallowed = 0;
      public String txtsmtp = "";		
      public String txtpop  = "";
      public String radValidation  = "";
      public String txtvalidationlink  = "";
      public String txtsubject = "";
      public String txtbody = "";
      public String txtchallenge = "";
      public String txtapproval = "";
      public String txtalready = "";
      public String txtfailed = "";
      public String txtcomments  = "";
      public String radAuthscheme  = "";
      public String txtAnitvirus  = "";
      public String txtTransDomain = "";
      public String domainname = "";
	  public String domain_name = "";
      public String radRegistration = "";
	  public String radBlockincoming = "";
	  public String radAllowExternal = "";
	  public String radDefaultDomain = "";
	  public String txtsmtpport = "";
	  public String txtpopport = "";
	  public String txtAnitvirusport = "";
	  public  String cmbb = "";
	  public String radOverridechallenge = "";		

	  public String transqry = null;
	  public String domainqry = null;
	  public String cmbspf = "";
	  public String radSPFPass = "";
	  public String radSPFFail = "";
	  public String radSPFNeutral = "";
	  public String radSPFSoftfail = "";
	  public String radSPFError = "";
	  public String radSPFNone = "";
	  public String authScheme = "";
	  public String outssl = "";
	  public String inssl = "";
	  public String authssl = "";
	  public int ageing = 0;
	  public String passivetext = "";

public String serverType="";

	  public int gstart = 0;
	  public int gstop = 0;

	    /* SET-GET  the serverType*/
      public void setServerType ( String s )
      {	  serverType = s;      }
      public String getServerType ( )
      {	  return serverType;      }

	   /* SET-GET  the passive mail subject header*/
      public void setTxtPassiveTxt ( String s )
      {	  passivetext = s;      }
      public String getTxtPassiveTxt ( )
      {	  return passivetext;      }

	   /* SET-GET  the out going ssl*/
      public void setOutssl ( String s )
      {	  outssl = s;      }
      public String getOutssl ( )
      {	  return outssl;      }

	   /* SET-GET  the in coming ssl*/
      public void setInssl ( String s )
      {	  inssl = s;      }
      public String getInssl ( )
      {	  return inssl;      }

	   /* SET-GET  the anti-virus ssl*/
      public void setAuthssl ( String s )
      {	  authssl = s;      }
      public String getAuthssl ( )
      {	  return authssl;      }

	  /* SET-GET  the ageing for Quarantined*/
      public void setCmbageing ( int s )
      {	  ageing = s;      }
      public int getCmbageing ( )
      {	  return ageing;      }

	  /* SET-GET  For Out SSL Scheme*/
      public void setCmbAuthScheme ( String s )
      {	  authScheme = s;      }
      public String getCmbAuthScheme ( )
      {	  return authScheme;      }

	  /* SET-GET  For Auth Scheme*/
      public void setCmbAuthSmtp ( String s )
      {	  authScheme = s;      }
      public String getCmbAuthSmtp ( )
      {	  return authScheme;      }
      
	  /* SET-GET  SPF Value*/
      public void setCmbspf ( String s )
      {	  cmbspf = s;      }
      public String getCmbspf ( )
      {	  return cmbspf;      }

	  /* SET-GET Greylist Start time */
	 public void setGstart ( int s )
      {	 gstart = s; }
	      
	public int getGstart( )
      {	  return gstart;    }

	/* SET-GET Greylist Stop time */
	 public void setGstop ( int s )
      {	 gstop = s;	  }
	      
	public int getGstop( )
	{  return gstop;   }


	  /* SET-GET  SPF Pass value*/
      public void setRadSPFPass ( String s )
      {	  radSPFPass = s;      }
      public String getRadSPFPass ( )
      {	  return radSPFPass;      }

	  /* SET-GET  SPF Fail Value*/
      public void setRadSPFFail ( String s )
      {	  radSPFFail = s;      }
      public String getRadSPFFail ( )
      {	  return radSPFFail;      }

	  /* SET-GET  SPF Netural Value*/
      public void setRadSPFNeutral ( String s )
      {	  radSPFNeutral = s;      }
      public String getRadSPFNeutral ( )
      {	  return radSPFNeutral;      }

	  /* SET-GET  SPF Softfail Value*/
      public void setRadSPFSoftfail ( String s )
      {	  radSPFSoftfail = s;      }
      public String getRadSPFSoftfail ( )
      {	  return radSPFSoftfail;      }

	  /* SET-GET  SPF Error Value*/
      public void setRadSPFError ( String s )
      {	  radSPFError = s;      }
      public String getRadSPFError ( )
      {	  return radSPFError;      }

	  /* SET-GET  SPF None Value*/
      public void setRadSPFNone ( String s )
      {	  radSPFNone = s;      }
      public String getRadSPFNone ( )
      {	  return radSPFNone;      }

      /* SET-GET  DOMAIN ID*/
      public void setHiddomainid ( int s )
      {	  hiddomainid = s;      }
      public int getHiddomainid ( )
      {	  return hiddomainid;      }

	   /* SET-GET  Autodeletion Days*/
      public void setCmbb ( String s )
      {	  cmbb = s;      }
      public String getCmbb( )
      {	  return cmbb;      }

	  	     
       /* SET-GET  SMTP IP*/
      public void setTxtsmtp ( String s )
      {	  txtsmtp = s;      }
      public String getTxtsmtp ( )
      {	  return txtsmtp;      }

	     
       /* SET-GET  POP3 IP*/
      public void setTxtpop ( String s )
      {	txtpop = s;	}
      public String	getTxtpop ( )
      {	return txtpop;	}

       /* SET-GET  SMTP PORT*/
      public void setTxtsmtpport ( String s )
      {	  txtsmtpport = s;      }
      public String getTxtsmtpport ( )
      {	  return txtsmtpport;      }

	     
       /* SET-GET  POP3 PORT*/
      public void setTxtpopport ( String s )
      {	txtpopport = s;	}
      public String	getTxtpopport ( )
      {	return txtpopport;	}

      
	/* SET-GET VALIDATION TYPE*/
      public void setRadValidation( String s )
      {	  radValidation = s;      }
      public String getRadValidation ( )
      {	  return radValidation;      }

	/* SET-GET VALIDATION LINK*/
      public void setTxtvalidationlink ( String s )
      {	  txtvalidationlink = s;      }
      public String getTxtvalidationlink ( )
      {	  return txtvalidationlink;      }

	/* SET-GET EMAIL SUBJECT*/
      public void setTxtsubject( String s )
      {	  txtsubject = s;      }
      public String getTxtsubject( )
      {	  return txtsubject;      }

	/* SET-GET EMAIL BODY*/
      public void setTxtbody ( String s )
      {	  txtbody = s;      }
      public String getTxtbody ( )
      {	  return txtbody;      }

	/* SET-GET CHALLENGE */
      public void setTxtchallenge ( String s )
      {	  txtchallenge = s;      }
      public String getTxtchallenge( )
      {	  return txtchallenge;      }

	/* SET-GET APPROVAL */
      public void setTxtapproval ( String s )
      {	  txtapproval = s;      }
      public String getTxtapproval ( )
      {	  return txtapproval;      }

	/* SET-GET ALREADY*/
      public void setTxtalready ( String s )
      {	  txtalready = s;      }
      public String getTxtalready ( )
      {	  return txtalready;      }

	/* SET-GET FAILED*/
      public void setTxtfailed ( String s )
      {	  txtfailed = s;      }
      public String getTxtfailed ( )
      {	  return txtfailed;      }
      
      /* SET-GET COMMENTS*/
      public void setTxtcomments( String s )
      {	  txtcomments = s;      }
      public String getTxtcomments( )
      {	  return txtcomments;      }
      
	  public void setRadAuthscheme( String s )
      {	  radAuthscheme = s;      }
      public String getRadAuthscheme( )
      {	  return radAuthscheme;      }     
	  
	   /* SET-GET AUTH IP*/
      public void setTxtAnitvirus( String s )
      {	  txtAnitvirus = s;      }
      public String getTxtAnitvirus( )
      {	  return txtAnitvirus;      }
      
	   /* SET-GET AUTH PORT*/
      public void setTxtAnitvirusport( String s )
      {	  txtAnitvirusport = s;      }
      public String getTxtAnitvirusport( )
      {	  return txtAnitvirusport;      }

      public void setTxtTransDomain( String s )
      {	  txtTransDomain = s;      }
      public String getTxtTransDomain( )
      {	  return txtTransDomain;      }
      

	  public void setTxtuserallowed( int s )
      {	  txtuserallowed = s;      }
      public int getTxtuserallowed( )
      {	  return txtuserallowed;      }
      
      public void setRadRegistration( String s )
      {	  radRegistration = s;      }
      public String getRadRegistration( )
      {	  return radRegistration;      }

	   public void setDomain_name( String s )
      {	  domain_name = s;      }
      public String getDomain_name( )
      {	  return domain_name;      }

	   public void setRadBlockincoming( String s )
      {	  radBlockincoming = s;      }
      public String getRadBlockincoming( )
      {	  return radBlockincoming;      }
	 

       /* SET-GET  ALLOWEXTERNAL FLAG*/
      public void setRadAllowExternal ( String s )
      {	  radAllowExternal = s;      }
      public String getRadAllowExternal ( )
      {	  return radAllowExternal;      }

       /* SET-GET  DefaultDomain FLAG*/
      public void setRadDefaultDomain ( String s )
      {	  
		  radDefaultDomain = s;      }
      public String getRadDefaultDomain ( )
      {	  return radDefaultDomain;      }

	  /* SET-GET  Override server challenge */

      public void setRadOverridechallenge ( String s )
      {	  radOverridechallenge = s;	  }
	        public String getRadOverridechallenge( )
      {
		  return radOverridechallenge;   }



	//METHOD FOR FETCHING THE RECORDS
	public void registered ( )
	{
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
	    java.sql.ResultSet rs = null;
				
		String qry = null;
		
		try
		{
			conn = dbconn.getConnection(); 
			smt = conn.createStatement();
			
			qry = "SELECT d.SmtpForwarding_IP,d.Pop3_IP,d.ValidationType,d.ValidationLink,d.DefaultEmail_Subject,d.DefaultEmail_Body,d.DefaultchallengeWebPage,d.DefaultapprovalWebPage,d.DefaultalreadyInWebPage,d.DefaultFailedWebPage,d.Comments,full_addr,d.antivirus_ip,dt.data, d.total_user, d.user_reg ,d.domainname,d.block_incoming, d.allowexternal, d.defaultdomain ,d.autodeletion, d.override_challenge, d.spf_enable, d.spf_returns, d.greylist_start, d.greylist_stop,d.auth_scheme,d.ageing,d.passivetext,d.servertype FROM DOMAINS d,domaintransformation dt WHERE d.DomainID="+hiddomainid;
			rs = smt.executeQuery( qry );
			if ( rs.next() )
			{
				setTxtsmtp(rs.getString( 1 ));
				setTxtpop( rs.getString( 2 ));
				setRadValidation( rs.getString( 3 ));
				setTxtvalidationlink( rs.getString( 4 ));
				setTxtsubject(  rs.getString( 5 ));
				setTxtbody( rs.getString( 6 ));
				setTxtchallenge( rs.getString( 7 ));
				setTxtapproval( rs.getString( 8 ));
				setTxtalready(  rs.getString( 9 ));
				setTxtfailed(  rs.getString( 10 ));
				setTxtcomments( rs.getString( 11 ));
				setRadAuthscheme( rs.getString( 12 ));
				setTxtAnitvirus( rs.getString( 13 ));
				setTxtTransDomain ( rs.getString( 14 ));
				setTxtuserallowed ( rs.getInt( 15 ));
				setRadRegistration ( rs.getString( 16 ));
				setDomain_name ( rs.getString( 17 ));
				setRadBlockincoming ( rs.getString( 18 ));
				setRadAllowExternal ( rs.getString( 19 ));
				setRadDefaultDomain ( rs.getString( 20 ));
				setCmbb(rs.getString( 21 ));
				setRadOverridechallenge (rs.getString(22));
				setCmbspf(rs.getString(23));
				setRadSPFPass(rs.getString(24));
				setGstart(rs.getInt(25));
				setGstop(rs.getInt(26));
				setCmbAuthScheme(rs.getString(27));
				setCmbageing(rs.getInt(28));
				setTxtPassiveTxt(rs.getString(29));
				setServerType(rs.getString(30));
			}
			else
			{
			}
			if ( rs != null )
				rs = null;
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);
			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			e.printStackTrace();
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
	}

	//METHOD FOR UPDATING THE RECORDS
	public String savesettings( ) 
	{
		java.sql.Connection conn = null;
		java.sql.Statement smt = null;
	    java.sql.ResultSet rs = null;
		java.sql.ResultSet domainrs = null;

		String qry = null;
		String mesg =null;
		
		txtsmtp = txtsmtp + ":" + txtsmtpport + ":" + outssl;
		txtpop = txtpop + ":" + txtpopport + ":" + inssl;
		txtAnitvirus = txtAnitvirus + ":" + txtAnitvirusport + ":" + authssl;
		txtsubject = rep.replaceBy(txtsubject, "'", "''");
		txtbody = rep.replaceBy(txtbody, "'", "''"); 
		txtchallenge = rep.replaceBy(txtchallenge, "'", "''");
		txtapproval = rep.replaceBy(txtapproval, "'", "''");
		txtalready = rep.replaceBy(txtalready, "'", "''");
		txtfailed = rep.replaceBy(txtfailed, "'", "''");
		txtcomments = rep.replaceBy(txtcomments, "'", "''");
		
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			if (radDefaultDomain.equals("T"))
			{
				qry = "UPDATE DOMAINS SET defaultdomain = 'F'";
				smt.executeUpdate ( qry );
			}
			
			String SPFReturn = radSPFPass+radSPFFail+radSPFNeutral+radSPFSoftfail+radSPFError+radSPFNone;

			qry = "UPDATE DOMAINS SET "+
					"SmtpForwarding_IP = '"+txtsmtp.trim()+"', "+
					"Pop3_IP = '"+txtpop.trim()+"', "+
					"ValidationType  = '"+radValidation+"', "+
					"ValidationLink  = '"+txtvalidationlink+"', "+
					"allowexternal = '"+radAllowExternal+"', "+
					"defaultdomain = '"+radDefaultDomain+"', "+
					"DefaultEmail_Subject = '"+txtsubject+"', "+
					"DefaultEmail_Body = '"+txtbody+"', "+
					"DefaultchallengeWebPage = '"+txtchallenge+"', "+
					"DefaultapprovalWebPage = '"+txtapproval+"', "+
					"DefaultalreadyInWebPage = '"+txtalready+"', "+
					"DefaultFailedWebPage = '"+txtfailed+"', "+
					"Comments = '"+txtcomments+"', "+
					"full_addr = '"+radAuthscheme+"', "+
					"antivirus_ip = '"+txtAnitvirus.trim()+"', "+
					"total_user = "+txtuserallowed+", "+
					"user_reg = '"+radRegistration+"', "+
					"block_incoming = '"+radBlockincoming+"', "+
				    "autodeletion='"+cmbb+"', override_challenge='"+radOverridechallenge+
				    "',spf_enable='"+cmbspf+ "',spf_returns='"+SPFReturn+"',greylist_start="+gstart+
				    ",greylist_stop="+gstop+",auth_scheme='"+authScheme+"',ageing='"+ageing+"',passivetext='"+passivetext+"' WHERE DomainID = "+hiddomainid+" ";
				

					smt.executeUpdate ( qry );
								
					domainqry = "SELECT DOMAINNAME FROM DOMAINS WHERE DomainID="+hiddomainid+" ";
					domainrs = smt.executeQuery( domainqry );
					if ( domainrs.next() )
					{
						domainname = domainrs.getString(1);
					}
					else
					{}
					if ( domainrs != null )
					domainrs = null;
					
				if(txtTransDomain == null || txtTransDomain.equals(""))
				{
					transqry = "update domaintransformation set data='"+domainname+"' where domainid="+hiddomainid+"";  
				}

				else	
				{
					transqry = "update domaintransformation set data='"+txtTransDomain+"'where domainid="+hiddomainid+" ";  	
				}	
				smt.executeUpdate( transqry );
				
				if ( rs != null )
					rs = null;
								
				mesg = "Domain Settings Successfully Updated";

				qry = "SELECT DOMAINNAME FROM DOMAINS WHERE DOMAINID="+hiddomainid;
				rs = smt.executeQuery( qry );
				if(rs.next())
				{
					domainname = rs.getString( 1 );
				}
				//socketconn.listenSocket("UpdateDomain:"+domainname);
			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			e.printStackTrace();
			mesg = "Unable to Update Domain Settings";
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return mesg;
	}
	
}
