/********************************************************************************/
/* Name			:ViewAllUsers.java												*/
/* Copyright	:2005 DATA INFOCOM LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Kishan Kumar Meena												*/
/* Last Updated	:10.23 AM 22/02/2006											*/
/* Abstract		:Fetch list from ASL, QUARANTINE Table							*/
/* Called from	:customview.jsp													*/
/* Calls		:																*/
/********************************************************************************/
package taglibrary;

import javax.servlet.http.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.io.*;
import java.net.*;
import java.util.Date;
import java.text.SimpleDateFormat;
import com.DBConnection;
import com.replace.Replace;

public class ViewAllUsers extends BodyTagSupport
{
	private int userid = 0;
	private int adminid = 0;
	private int condition_id = 0;
	private int approval_id = 0;
	private String searchtext = "";
	private String afterdate = "";
	private String beforedate = "";
	private int noofrec = 0; //NUMBER OF RECORD TO BE SHOWN
	private int validate = 0; 
	private String order = "";
	private String column = "";

	public String dateFormat = "";
	public String DD = "";
	public String MM = "";
	public String YYYY = "";

	public int minimum = 0;	

	private java.util.List aslid = new java.util.LinkedList();
	private java.util.List mailerid = new java.util.LinkedList();
	private java.util.List mailerdomain = new java.util.LinkedList();
	private java.util.List dateofentry = new java.util.LinkedList();
	private java.util.List conditionid = new java.util.LinkedList();
	private java.util.List approvalid = new java.util.LinkedList();
	private java.util.List countasl = new java.util.LinkedList();
	private java.util.List MailId = new java.util.LinkedList();

	SimpleDateFormat sdf = new SimpleDateFormat("MM/dd/yyyy");

	private int i = 0;

	private int index;
	private StringBuffer output = null;

	Replace rep = new Replace ();
	DBConnection dbconn = new DBConnection ();

	public void setMinimum( int d )
    {
		minimum = d;	
	}
	public int getMinimum()
    {	
		return minimum;	
	}
 
	// SET-GET METHOD FOR USER ID
	public int getUserid ()
    {	
		return userid;	
	}
    public void setUserid( int newuserid )
    {
		this.userid = newuserid;	
	}
	// SET-GET METHOD FOR ADMIN ID
	public int getAdminid ()
    {	
		return adminid;	
	}
    public void setAdminid( int newadminid )
    {
		this.adminid = newadminid;	
	}

	// SET-GET METHOD FOR CONDITION ID
	public int getCondition_id ()
    {	
		return condition_id;	
	}
    public void setCondition_id( int newcondition_id )
    {
		this.condition_id = newcondition_id;	
	}

	// SET-GET METHOD FOR APPROVAL ID
	public int getApproval_id ()
    {	
		return approval_id;	
	}
    public void setApproval_id( int newapproval_id )
    {
		this.approval_id = newapproval_id;	
	}


	// SET-GET METHOD FOR SEARCH TEXT
	public String getSearchtext ()
    {	
		return searchtext;	
	}
    public void setSearchtext( String newsearchtext )
    {
		this.searchtext = newsearchtext;	
	}

	// SET-GET METHOD FOR AFTER DATE
	public String getAfterdate ()
    {	
		return afterdate;	
	}
    public void setAfterdate( String newafterdate )
    {
		//this.afterdate = dateformat.format(new java.util.Date(newafterdate));
		this.afterdate = newafterdate;
	}

	// SET-GET METHOD FOR BEFORE DATE
	public String getBeforedate ()
    {	
		return beforedate;	
	}
    public void setBeforedate( String newbeforedate )
    {
		//this.beforedate = dateformat.format(new java.util.Date(newbeforedate));
		this.beforedate = newbeforedate;
	}

	// SET-GET METHOD FOR NUMBER OF RECORDS DISPLAYED
	public int getNoofrec ()
    {	
		return noofrec;	
	}
    public void setNoofrec( int newnoofrec )
    {
		this.noofrec = newnoofrec;	
	}

	// SET-GET METHOD FOR VALIDATED/UNVALIDATED
	public int getValidate ()
    {	
		return validate;	
	}
    public void setValidate( int newvalidate )
    {
		this.validate = newvalidate;	
	}

	// GET-SET METHOD FOR ORDER OF RECORDS (ASCENDING/ DESCENDING)
	public String getOrder ()
    {	
		return order;	
	}
    public void setOrder( String neworder )
    {
		this.order = neworder;	
	}

	// GET-SET METHOD FOR COLUMN NAME TO BE SORT
	public String getColumn ()
    {	
		return column;	
	}
    public void setColumn( String newcolumn )
    {
		this.column = newcolumn;	
	}


	public int doStartTag() throws JspException
	{
		java.sql.Connection conn = null;
		java.sql.Statement stmt = null;
		java.sql.Statement stmt_dformat = null;
		java.sql.ResultSet rs = null;
		java.sql.ResultSet rscount = null;
		java.sql.ResultSet rs_dformat = null;

		output = new StringBuffer();

		searchtext = rep.replaceBy ( searchtext, "'", "''" );

		String qry = null;
		String qrycount = null;
		String total_count = "";
		try
		{
			conn = dbconn.getConnection();
			stmt = conn.createStatement();
			stmt_dformat = conn.createStatement();

			///Adding code to get User Define Date format
			rs_dformat = stmt_dformat.executeQuery("select date_format from admindefaults");
			rs_dformat.next();
			dateFormat = rs_dformat.getString("date_format");
			rs_dformat.close();
			stmt_dformat.close();
			//End of Date format code now dateFormat is replaced in the query

			/********************************** Formating afterdate and beforedate acording to date format*/
			if(dateFormat.equals("DD/MM/YYYY")  || dateFormat.equals("YYYY/MM/DD"))
			{
				DD = afterdate.substring(0,afterdate.indexOf("/"));
				MM = afterdate.substring(afterdate.indexOf("/")+1,afterdate.lastIndexOf("/"));
				YYYY = afterdate.substring(afterdate.lastIndexOf("/")+1,afterdate.length());
				afterdate = MM+"/"+DD+"/"+YYYY;
				DD = beforedate.substring(0,beforedate.indexOf("/"));
				MM = beforedate.substring(beforedate.indexOf("/")+1,beforedate.lastIndexOf("/"));
				YYYY = beforedate.substring(beforedate.lastIndexOf("/")+1,beforedate.length());
				beforedate = MM+"/"+DD+"/"+YYYY;
			}
			else
			{
				afterdate = sdf.format(new java.util.Date(afterdate));
				beforedate = sdf.format(new java.util.Date(beforedate));
			}
			/************************************/

			//Removing * from search text for query (%)
			if(searchtext.indexOf("*") != -1)
			searchtext = searchtext.substring(0,searchtext.indexOf("*"));
				
			//FETCH KEYMAIL INFORMATION FROM KEYMAILS TABLE

			if(searchtext.equals("*"))
			{
				if(approval_id == 0)
				{
					if (validate == 1 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					}
					else if (validate == 0 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount =  "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
					}
					else if(condition_id == 0)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
				
					}
					else
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
				
					}
				}
				else
				{
					if (validate == 1 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
			
					}
					else if (validate == 0 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
					
					}
					else if(condition_id == 0)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
						
					}
					else
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND APPROVALID = "+approval_id+" AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";

					}
				}
			}
			else
			{
				if(approval_id == 0)
				{
					if (validate == 1 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP  FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount =  "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
				
					}
					else if (validate == 0 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
				
					}
					else if(condition_id == 4)
					{
						qry = "select from_id,  subject,size,to_char(maildate,'"+dateFormat+" hh:mi:ss AM'),  conditionid, approvalid,id from users,domains, quarantine left outer join (select * from asl  where userid="+userid+") as al on (al.mailerid||'@'||al.mailerdomain=from_id ) where users.domainid=domains.domainid and users.email_username||'@'||domains.domainname=to_id and users.userid="+userid+" and LOWER(quarantine.from_id) LIKE '%"+searchtext.toLowerCase()+"%' and quarantine.flag <> 'd' and MAILDATE BETWEEN '"+afterdate+"' AND '"+beforedate+" 11:59:59 PM'";
					
						qrycount = "SELECT COUNT(*) FROM QUARANTINE D,ASL DT WHERE DT.USERID="+userid+" AND LOWER(DT.MAILERID||DT.MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' AND '"+beforedate+" 11:59:59 PM' AND ((DT.MAILERID||'@'||DT.MAILERDOMAIN) = D.FROM_ID) AND D.FLAG <> 'd'";
						
					}
					else if(condition_id == 0)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ";
			
					}
					else
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
						
					}
				}
				else
				{
					if (validate == 1 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(CR_DATE,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND CR_DATE IS NOT NULL AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
				
					}
					else if (validate == 0 && condition_id == 1)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" and CR_DATE IS NULL AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
						
					}
					else if(condition_id == 0)
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
					
					}
					else
					{
						qry = "SELECT ASLID, MAILERID, MAILERDOMAIN, to_char(DATE_OF_ENTRY,'"+dateFormat+" hh:mi:ss AM'), CONDITIONID, APPROVALID, '' AS TMP FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM' ORDER BY "+column+" "+order;
						
						qrycount = "SELECT COUNT(*) FROM ASL WHERE USERID="+userid+" AND CONDITIONID ="+condition_id+" AND APPROVALID = "+approval_id+" AND LOWER(MAILERID||MAILERDOMAIN) LIKE '%"+searchtext.toLowerCase()+"%' AND DATE_OF_ENTRY BETWEEN '"+afterdate+"' and '"+beforedate+" 11:59:59 PM'";
						
					}
				}
			}

			rscount =stmt.executeQuery(qrycount);
			if(rscount.next())
			{
				total_count = rscount.getString( 1 );
			}
		
			rs = stmt.executeQuery( qry );
			if ( rs.next() )
			{
				int i = 0;
				int j = 0;

				while(i<(minimum-1) && rs.next())
				{
					i++;
				}
				do
				{
					aslid.add ( rs.getString( 1 ) );
					mailerid.add ( rs.getString( 2 ) );
					mailerdomain.add ( rs.getString( 3 ) );
					dateofentry.add ( rs.getString( 4 ) );
					conditionid.add ( (rs.getString( 5 ) != null? rs.getString(5) : "5" ) );
					approvalid.add ( (rs.getString( 6 ) != null? rs.getString(6) : "6" ) );
					MailId.add( rs.getString( 7 ) );
					countasl.add(total_count);
					j++;
				}
				while(rs.next() && j<10);
			}
			else
			{
				aslid.add ( "0" );
				mailerid.add ( "0" );
				mailerdomain.add ( "0" );
				dateofentry.add ( "0" );
				conditionid.add ( "0" );
				approvalid.add ( "0" );
				MailId.add( "0" );
				countasl.add("0");
			}
		}
		catch ( java.sql.SQLException sqle )
		{	System.out.println("SQLE Exception-->"+sqle);	}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);	}
		finally
		{
			try
			{
				rs.close();
				stmt.close();
				conn.close();
			}
			catch ( Exception ignored ) {System.out.println("Spam Controllar");
			System.out.println(ignored);
			ignored.printStackTrace();
			}
		}
		if ( aslid.size() > 0 )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
	}

	public int doAfterBody() throws JspTagException
    {
		BodyContent bodyContent = getBodyContent();
		if ( bodyContent != null )
		{
			output.append( bodyContent.getString() );
			try
			{
				bodyContent.clear();
			}
			catch ( IOException ex )
			{
				System.out.println("Spam Controllar");
                throw new JspTagException("Fatal IO Error");
			}
		}
		if ( ++index < aslid.size() )
		{
			setLoopVariables();
			return EVAL_BODY_TAG;
		}
		return SKIP_BODY;
     }

	public int doEndTag() throws JspTagException
	{
		try
		{
			bodyContent.getEnclosingWriter().write( output.toString() );
		}
		catch ( IOException ex )
		{
			System.out.println("Error -->"+ex);
			throw new JspTagException("Fatal IO Error");
		}
		return EVAL_PAGE;
	}
    
	private void setLoopVariables ()
    {
		pageContext.setAttribute( "aslid", aslid.get( index ).toString() );
		pageContext.setAttribute( "mailerid", mailerid.get( index ).toString() );
		pageContext.setAttribute( "mailerdomain", mailerdomain.get( index ).toString() );
		pageContext.setAttribute( "dateofentry", dateofentry.get( index ).toString() );
		pageContext.setAttribute( "conditionid", conditionid.get( index ).toString() );
		pageContext.setAttribute( "approvalid", approvalid.get( index ).toString() );
		pageContext.setAttribute( "MailId", MailId.get( index ).toString() );
		pageContext.setAttribute( "countasl", countasl.get( index ).toString() );
	}
}