<%
/********************************************************************************/
/* Name			:	userviewall.jsp												*/
/* Copyright	:	2003 SATCOMLABS LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Pavan Gupta													*/
/* Last Updated	:	10.57 AM 09/01/2004											*/
/* Abstract		:	Shows list of all  type of senders							*/
/* Called from	: 	dashboard													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int loginuserid = validate.getUserid();
int NumRec = 10;
String clicked = "";

if(loginuserid==0)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int allrecords = 0 ;
	int userid = 0;
	int tempuserid = validate.getTempuserid();
	int adminid = validate.getAdminid();
	int i = 0;
	String gridclass = "";
	String message = "";
	if(request.getParameter("returnval") != null)
		message = request.getParameter("returnval");

	if(tempuserid == 0)
		userid = loginuserid;
	else 
		userid = tempuserid;

	int condition = Integer.parseInt(request.getParameter("conditionid"));
	int validated = Integer.parseInt(request.getParameter("validate"));

	String order = "desc";
	String columnname = "";
	if(condition == 1 && validated == 0)
		columnname = "date_of_entry";
	else if(condition == 1 && validated == 1)
		columnname = "cr_date";
	else if(condition == 3 && validated == 0)
		columnname = "date_of_entry";
	else if(condition == 2 && validated == 0)
		columnname = "date_of_entry";

	if(request.getParameter("hidorder") != null)
		order = request.getParameter("hidorder");
	if(request.getParameter("hidcolumn") != null)
		columnname = request.getParameter("hidcolumn");

	int minpage = 0;
	int min = 1;
	int minimum = 1;

	if(request.getParameter("hidminpage") != null  && !request.getParameter("hidminpage").equals(""))
			minpage = Integer.parseInt(request.getParameter("hidminpage"));
	if(request.getParameter("hidmin") != null  && !request.getParameter("hidmin").equals(""))
			min = Integer.parseInt(request.getParameter("hidmin"));
	if(request.getParameter("hidminimum") != null && !request.getParameter("hidminimum").equals(""))
			minimum = Integer.parseInt(request.getParameter("hidminimum"));

	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));

	if(request.getParameter("hidclicked") != null)
		clicked = request.getParameter("hidclicked");
%>
<HTML>
	<HEAD>
		<TITLE>View All Whitelist</TITLE>
		<LINK href="stylesheets/display_control.css" rel=stylesheet type=text/css>
	</HEAD>
	<SCRIPT language=javascript src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/myscript.js"></SCRIPT>
	<!-- START SCRIPT -->
	<script language="javascript">
		// SUBMIT THE PAGE FOR UPDATTION OF POLICY AND SCOPE
		function submitUpdate()
		{
			recordcount = document.frmUserViewAll.txtcount.value;
			if(recordcount == 0)
				alert ("No Record To Update");
			else
			{
				document.frmUserViewAll.action = "editasl.jsp?flag=UPDATE&val=all&conditionid=<%=condition%>&validate=<%=validated%>"
				document.frmUserViewAll.submit();
			}
		}

		// SUBMIT THE PAGE FOR DELETE THE RECORDS AND ALSO CHECK THAT AT LEAST ONE RECORD SHOULD BE SELECTED
		function submitDelete()
		{
			recordcount = document.frmUserViewAll.txtcount.value;
			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				var chkid = document.frmUserViewAll.chkdelete;
				var flag=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						flag = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
				{
					document.frmUserViewAll.action = "editasl.jsp?flag=DELETE&val=all&conditionid=<%=condition%>&validate=<%=validated%>";
					document.frmUserViewAll.submit();
				}
			}
		}

		//FUNCTION TO COPY CHECKED ADDRESSES TO ADMINASL
		function copySenders()
		{
			recordcount = document.frmUserViewAll.txtcount.value;
			if(recordcount == 0)
				alert ("No Record To Copy");
			else
			{
				var chkid = document.frmUserViewAll.chkcopy;
				var flag=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						flag = true;
				}
				else if (recordcount > 1)
				{
					for(i=0; i<chkid.length; i++)
					{
						if(chkid[i].checked == 1)
						{
							flag=true;
							break;
						}
					}
				}
				if(flag==false)
					alert("Please check at least one record");
				else
				{
					document.frmUserViewAll.action = "editasl.jsp?flag=COPY&val=all&conditionid=<%=condition%>&validate=<%=validated%>";
					document.frmUserViewAll.submit();
				}
			}
		}

		//FUNCTION TO SORT RECORDS
		function sort(order,column)
		{
			document.frmUserViewAll.hidcolumn.value=column;
			document.frmUserViewAll.hidorder.value=order;
			document.frmUserViewAll.action="userviewall.jsp?conditionid=<%=condition%>&validate=<%=validated%>";
			document.frmUserViewAll.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			document.frmUserViewAll.hidminpage.value=pageno;
			document.frmUserViewAll.hidmin.value=min;
			document.frmUserViewAll.hidminimum.value=min;
			document.frmUserViewAll.action="userviewall.jsp?conditionid=<%=condition%>&validate=<%=validated%>";
			document.frmUserViewAll.submit();
		}

		//FUNCTION 10 SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			document.frmUserViewAll.hidminimum.value=min;
			document.frmUserViewAll.hidNumRec.value=10;
			document.frmUserViewAll.hidclicked.value=pagingtype;
			document.frmUserViewAll.action="userviewall.jsp?conditionid=<%=condition%>&validate=<%=validated%>";
			document.frmUserViewAll.submit();
		}

		function setFocus()
		{
			document.frmUserViewAll.cmdSave.focus();
		}
		function checkAllDelete()
		{
			var i;
			recordcount = document.frmUserViewAll.txtcount.value;
			if(recordcount == 0)
			{}
				//chkall.style.display = 'none';
			else
			{
				var alldelete = document.frmUserViewAll.chkdelete;
				if(recordcount == 1)
				{
					if(document.frmUserViewAll.chkalldelete.checked)
						alldelete.checked = true;
					else
						alldelete.checked = false;
				}
				else
				{
					if(document.frmUserViewAll.chkalldelete.checked)
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<alldelete.length; i++)
						{
							alldelete[i].checked = false;
						}
					}
				}
			}
		}
		function checkAllCopy()
		{
			var i;
			recordcount = document.frmUserViewAll.txtcount.value;
			if(recordcount == 0)
			{}
				//chkall.style.display = 'none';
			else
			{
				var allcopy = document.frmUserViewAll.chkcopy;
				if(recordcount == 1)
				{
					if(document.frmUserViewAll.chkallcopy.checked)
						allcopy.checked = true;
					else
						allcopy.checked = false;
				}
				else
				{
					if(document.frmUserViewAll.chkallcopy.checked)
					{
						for(i=0; i<allcopy.length; i++)
						{
							allcopy[i].checked = true;
						}
					}
					else
					{
						for(i=0; i<allcopy.length; i++)
						{
							allcopy[i].checked = false;
						}
					}
				}
			}
		}
	</script>
	<!-- END SCRIPT -->
	<BODY onload="setFocus();checkAllDelete()">
		<FORM method=post name=frmUserViewAll>
			<INPUT type=hidden name=hidcolumn value="<%=columnname%>">
			<INPUT type=hidden name=hidorder value="<%=order%>">
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<INPUT type="hidden" name="hidclicked" value="<%=clicked%>">

			<INPUT type="hidden" name="hidminpage" value=<%=minpage%>>
			<INPUT type="hidden" name="hidmin" value=<%=min%>>
			<INPUT type="hidden" name="hidminimum" value=<%=minimum%>>

			<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
				<TBODY>
					<TR>
						<TD colSpan=2><!--FOR THE HEADER IMAGE-->
							<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
														<TD align=left vAlign=top width="52%"><img border="0" src="images/img.gif" width="436" height="48"></TD>
														<TD align=right vAlign=top width="48%"><IMG src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD></TR>
									<TR>
										<TD align=left bgColor=#007ccd height=37 vAlign=bottom>
											<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="domainmain.jsp">Domain</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } else if (adminid == 2) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_DomainPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="domainmain.jsp">Domain</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%"></TD>
													<% } else if (adminid == 3) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header_active id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><a href="usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%"></TD>
														<TD width="34%"></TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE border=0 cellPadding=2 cellSpacing=0 width="100%">
																<TBODY>
																	<TR class=blanktd>
																		<TD width="90%">
																			<spam:UserInfo userid="<%= loginuserid %>">
																				Logged in as: <%= username %>@<%=domainname%>
																			</spam:UserInfo>
																			<% if (userid != loginuserid) { %>
																				<spam:UserInfo userid="<%= tempuserid %>">
																					<%
																					if (username.equals("0"))
																					{}
																					else
																					{
																					%>
																						and working as: <%= username %>@<%=domainname%>
																					<%
																					}
																					%>
																				</spam:UserInfo>
																			<% } %>
																		</TD>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/UserViewAllHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for User-->
							<% if (condition == 1 && validated == 0) { %>
								<spam:usermenu showCurrPage="6"></spam:usermenu>
							<% } else if (condition == 3 && validated == 0) { %>
								<spam:usermenu showCurrPage="7"></spam:usermenu>
							<% } else if (condition == 1 && validated == 1) { %>
								<spam:usermenu showCurrPage="8"></spam:usermenu>
							<% } else if (condition == 2 ) { %>
								<spam:usermenu showCurrPage="9"></spam:usermenu>
							<% } %>
						</TD>
						<TD align=middle vAlign=top>
							<TABLE border=0 cellPadding=0 cellSpacing=2 width="100%">
								<TBODY>
									<TR>
										<TD><!--Main Section-->
											<TABLE border=0 cellPadding=0 cellSpacing=0 id=Table1 width="100%">
												<TBODY>
<% 
													if (condition == 1 && validated == 0)
													{
%>
<!-- VIEWING ALL PRE-APPROVED SENDERS -->
														<TR class=2nd_grid_head>
															<TD align=middle colSpan=2 width="50%"><SPAN id=lblPageHeader>Viewing All Pre-approved Senders</SPAN></TD>
														</TR>
														<TR class=viewall_links>
															<TD align=left colSpan=2 height=2 width="50%">
																<A id=lnkPreapproved>Pre-approved</A>&nbsp;&nbsp;
																<a id="lnkUnvalidated" href="userviewall.jsp?conditionid=3&validate=0">Unvalidated</a> 
																<a id="lnkValidated"href="userviewall.jsp?conditionid=1&validate=1">Validated</a>&nbsp;
																<a id="lnkSpam" href="userviewall.jsp?conditionid=2&validate=0">Spammers</a>&nbsp;
																<a id="lnkCustSearch" href="customview.jsp">Search</a> <BR>&nbsp; 
															</TD>
														</TR>
														<TR>
															<TD align=middle colSpan=2 height=12 width='50%'>
																<DIV class=1stgrid_head id=headerPanel><SPAN id=lblGridHeader>Pre-approved Senders</SPAN> </DIV>
															</TD>
														</TR>
														<TR>
															<TD align=left colSpan=2 width='50%'>
																<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																	<TBODY>
																		<TR class=2nd_griditem_head style=FONT-WEIGHT: bold>
																			<TD style='WIDTH: 18%'>
																				<% if ((columnname.equals("mailerid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("mailerdomain")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerdomain")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("date_of_entry")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("date_of_entry")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 12%'>Policy</TD>
																			<TD style='WIDTH: 12%'>
																				<% if ((columnname.equals("approvalid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("approvalid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope</a>
																				<% } %>	
																			</TD>
																			<% if (adminid == 3) {} else { %>
																				<TD style='WIDTH: 5%'>Copy</TD>
																			<% } %>
																			<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																		</TR>
																		<spam:SendersInfo userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" searchtext ="*" validate="<%= validated %>" column="<%=columnname%>" order="<%=order%>" minimum="<%=minimum%>">
<% 
																		if (aslid.equals("0")) 
																		{}
																		else
																		{
																			i++;
																			  if (i%2 != 0)
																				  gridclass = "gridrow2";
																			  else
																				  gridclass = "gridrow1";
%>
																			<TR class=<%=gridclass%>>
																				<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %></TD>
																				<TD style="WIDTH: 22%"><%= mailerdomain %></TD>
																				<TD style="WIDTH: 22%"><%= dateofentry %></TD>
																				<TD style="WIDTH: 12%">
																					<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																				</TD>
																				<TD style="WIDTH: 12%">
																					<% if (Integer.parseInt(approvalid) ==1) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio  value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio  value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==2) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio  value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==3) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																					<% } %>
																				</TD>
																				<% if (adminid == 3) {} else { %>
																					<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																				<% } %>
																				<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																			</TR>
<%					
																		}
%>
																		<% allrecords = Integer.parseInt(countasl); %>
																		</spam:SendersInfo>
																		<!--<TR align=right class=footer>
																			<TD colSpan=7 id="chkall">Check All For Copy<INPUT class=chbox type=checkbox name=chkallcopy onclick="checkAllCopy()">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check All For Delete</TD>
																		</TR> -->
																		<TR align=right class=footer>
																			<TD colSpan=7><utility:paging totalrecords="<%=allrecords%>" minpage="<%=minpage%>" min="<%=min%>" pagingtype="all" 
																			clicked ="<%=clicked%>"
																			txtNumRec="<%=NumRec%>"/></TD>
																		</TR>
																	</TBODY>
																</TABLE>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD align=middle height=7></TD>
																		</TR>
																		<TR>
																			<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																		</TR>
																		<TR>
																			<TD align=middle>
																				<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate(); return false">
																				<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete(); return false">
																				<% if (adminid == 3) {}	else { %>
																					<INPUT class=btn name=cmdCopy type=submit value="Copy To Domain" onclick="copySenders(); return false">
																				<% } %>
																			</TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
<%
													}
													else if (condition == 3 && validated == 0)
													{
%>
<!--VIEWING  ALL UNVALIDATED SENDERS -->
														<TR class=2nd_grid_head>
															<TD align=middle colSpan=2 width="50%"><SPAN id=lblPageHeader>Viewing All Unvalidated Senders</SPAN></TD>
														</TR>
														<TR class=viewall_links>
															<TD align=left colSpan=2 height=2 width="50%">
																<A id=lnkPreapproved href="userviewall.jsp?conditionid=1&validate=0">Pre-approved</A> 
																<a id="lnkUnvalidated" >Unvalidated&nbsp;
																<a id="lnkValidated"href="userviewall.jsp?conditionid=1&validate=1">Validated</a> 
																<a id="lnkSpam" href="userviewall.jsp?conditionid=2&validate=0">Spammers</a>&nbsp;
																<a id="lnkCustSearch" href="customview.jsp">Search</a> <BR>&nbsp; 
															</TD>
														</TR>
														<TR>
															<TD align=middle colSpan=2 height=12 width='50%'>
																<DIV class=1stgrid_head-gray id=headerPanel><SPAN id=lblGridHeader>Unvalidated Senders</SPAN> </DIV>
															</TD>
														</TR>
														<TR>
															<TD align=left colSpan=2 width='50%'>
																<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																	<TBODY>
																		<TR class=2nd_griditem_head-gray style=FONT-WEIGHT: bold>
																			<TD style='WIDTH: 18%'>
																				<% if ((columnname.equals("mailerid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("mailerdomain")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerdomain")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("date_of_entry")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("date_of_entry")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 12%'>Policy</TD>
																			<TD style='WIDTH: 12%'>
																				<% if ((columnname.equals("approvalid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("aprovalid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																		</TR>
																		<spam:SendersInfo userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" searchtext ="*" validate="<%= validated %>" column="<%=columnname%>" order="<%=order%>" minimum="<%=minimum%>">
<% 
																		if (aslid.equals("0"))
																		{}
																		else
																		{
																			i++;
																			if (i%2 != 0)
																			  gridclass = "gridrow2";
																			else
																			  gridclass = "gridrow1-gray";
%>
																			<TR class=<%=gridclass%>>
																				<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %></TD>
																				<TD style="WIDTH: 22%"><%= mailerdomain %></TD>
																				<TD style="WIDTH: 22%"><%= dateofentry %></TD>
																				<TD style="WIDTH: 12%">
																					<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio"value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio"value=2>S
																				</TD>
																				<TD style="WIDTH: 12%">
																					<% if (Integer.parseInt(approvalid) ==1) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==2) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==3) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																					<% } %>
																				</TD>
																				<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																			</TR>
<% 
																		}
%>
																		<% allrecords = Integer.parseInt(countasl); %>
																		</spam:SendersInfo>
																	<!--	<TR align=right class=footer>
																			<TD colSpan=7 id="chkall">Check All For Delete<INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"></TD>
																		</TR> -->
																		<TR align=right class=footer>
																			<TD colSpan=7><utility:paging totalrecords="<%=allrecords%>" minpage="<%=minpage%>" min="<%=min%>" pagingtype="all" 
																			clicked ="<%=clicked%>"
																			txtNumRec="<%=NumRec%>"/></TD>
																		</TR>
																	</TBODY>
																</TABLE>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD align=middle height=7></TD>
																		</TR>
																		<TR>
																			<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																		</TR>
																		<TR>
																			<TD align=middle>
																				<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate(); return false">
																				<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete(); return false">
																			</TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
<%
													}
													else if (condition == 1 && validated == 1)
													{
%>
<!-- VIEWING  ALL VALIDATED SENDERS -->
														<TR class=2nd_grid_head>
															<TD align=middle colSpan=2 width="50%"><SPAN id=lblPageHeader>Viewing All Validated Senders</SPAN></TD>
														</TR>
														<TR class=viewall_links>
															<TD align=left colSpan=2 height=2 width="50%">
																<A id=lnkPreapproved href="userviewall.jsp?conditionid=1&validate=0">Pre-approved</A> 
																<a id="lnkUnvalidated" href="userviewall.jsp?conditionid=3&validate=0">Unvalidated</a> 
																<a id="lnkValidated">Validated&nbsp;
																<a id="lnkSpam" href="userviewall.jsp?conditionid=2&validate=0">Spammers</a>&nbsp;
																<a id="lnkCustSearch" href="customview.jsp">Search</a> <BR>&nbsp; 
															</TD>
														</TR>
														<TR>
															<TD align=middle colSpan=2 height=12 width='50%'>
																<DIV class=1stgrid_head-purple id=headerPanel><SPAN id=lblGridHeader>Validated Senders</SPAN> </DIV>
															</TD>
														</TR>
														<TR>
															<TD align=left colSpan=2 width='50%'>
																<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																	<TBODY>
																		<TR class=2nd_griditem_head-purple style=FONT-WEIGHT: bold>
																			<TD style='WIDTH: 18%'>
																				<% if ((columnname.equals("mailerid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("mailerdomain")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerdomain")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("cr_date")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','cr_date')">Response Date<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("cr_date")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','cr_date')">Response Date<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','cr_date')">Response Date</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 12%'>Policy</TD>
																			<TD style='WIDTH: 12%'>
																				<% if ((columnname.equals("approvalid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("approvalid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																		</TR>
																		<spam:SendersInfo userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" searchtext ="*" validate="<%= validated %>" column="<%=columnname%>" order="<%=order%>" minimum="<%=minimum%>">
<%
																		if (aslid.equals("0"))
																		{}
																		else
																		{
																			i++;
																			if (i%2 != 0)
																			  gridclass = "gridrow2";
																			else
																			  gridclass = "gridrow1-purple";
%>
																			<TR class=<%=gridclass%>>
																				<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %></TD>
																				<TD style="WIDTH: 22%"><%= mailerdomain %></TD>
																				<TD style="WIDTH: 22%"><%= dateofentry %></TD>
																				<TD style="WIDTH: 12%">
																					<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																				</TD>
																				<TD style="WIDTH: 12%">
																					<% if (Integer.parseInt(approvalid) ==1) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==2) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==3) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																					<% } %>
																				</TD>
																				<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																			</TR>
<% 
																		}
%>
																		<% allrecords = Integer.parseInt(countasl); %>
																		</spam:SendersInfo>
																		<!-- <TR align=right class=footer>
																			<TD colSpan=7 id="chkall">Check All For Delete<INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"></TD>
																		</TR> -->
																		<TR align=right class=footer>
																			<TD colSpan=7><utility:paging totalrecords="<%=allrecords%>" minpage="<%=minpage%>" min="<%=min%>" pagingtype="all" 
																			clicked ="<%=clicked%>"
																			txtNumRec="<%=NumRec%>"/></TD>
																		</TR>
																	</TBODY>
																</TABLE>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD align=middle height=7></TD>
																		</TR>
																		<TR>
																			<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																		</TR>
																		<TR>
																			<TD align=middle>
																				<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate(); return false">
																				<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete(); return false">
																			</TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
<%
													}
													else if (condition == 2 )
													{
%>
<!--VIEWING  ALL SPAMMERS -->
														<TR class=2nd_grid_head>
															<TD align=middle colSpan=2 width="50%"><SPAN id=lblPageHeader>Viewing All Spammers</SPAN></TD>
														</TR>
														<TR class=viewall_links>
															<TD align=left colSpan=2 height=2 width="50%">
																<A id=lnkPreapproved href="userviewall.jsp?conditionid=1&validate=0">Pre-approved</A> 
																<a id="lnkUnvalidated" href="userviewall.jsp?conditionid=3&validate=0">Unvalidated</a> 
																<a id="lnkValidated" href="userviewall.jsp?conditionid=1&validate=1">Validated</a> 
																<a id="lnkSpam">Spammers&nbsp;
																<a id="lnkCustSearch" href="customview.jsp">Search</a> <BR>&nbsp; 
															</TD>
														</TR>
														<TR>
															<TD align=middle colSpan=2 height=12 width='50%'>
																<DIV class=1stgrid_head-spam id=headerPanel><SPAN id=lblGridHeader>Spammers</SPAN> </DIV>
															</TD>
														</TR>
														<TR>
															<TD align=left colSpan=2 width='50%'>
																<TABLE border=1 cellPadding=1 cellSpacing=0 id=ASLDetailsGrid_PUVGrid rules=cols 	style='BORDER-COLLAPSE: collapse; WIDTH: 100%'>
																	<TBODY>
																		<TR class=2nd_griditem_head-spam style=FONT-WEIGHT: bold>
																			<TD style='WIDTH: 18%'>
																				<% if ((columnname.equals("mailerid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerid')">User Id<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerid')">User Id</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("mailerdomain")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','mailerdomain')">Domain<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("mailerdomain")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','mailerdomain')">Domain</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 22%'>
																				<% if ((columnname.equals("date_of_entry")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("date_of_entry")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','date_of_entry')">Date of Entry</a>
																				<% } %>	
																			</TD>
																			<TD style='WIDTH: 12%'>Policy</TD>
																			<TD style='WIDTH: 12%'>
																				<% if ((columnname.equals("approvalid")) && (order.equals("desc"))) { %>
																					<a href="javascript:onclick=sort('asc','approvalid')">Scope<IMG border=0 src="images/sort_down_on.gif" width="7" height="4"></IMG></a>
																				<%} else if ((columnname.equals("approvalid")) && (order.equals("asc"))) {%>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope<IMG border=0 src="images/sort_up_on.gif" width="7" height="4"></IMG></a>
																				<% } else { %>
																					<a href="javascript:onclick=sort('desc','approvalid')">Scope</a>
																				<% } %>	
																			</TD>
																			<% if (adminid == 3) {} else { %>
																				<TD style='WIDTH: 5%'>Copy</TD>
																			<% } %>
																			<TD style='WIDTH: 7%'><p align="center"><INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"><br>Delete All</p></TD>
																		</TR>
																		<spam:SendersInfo userid="<%= userid %>" condition_id="<%= condition %>" noofrec="0" searchtext ="*" validate="<%= validated %>" column="<%=columnname%>" order="<%=order%>" minimum="<%=minimum%>">
<%
																		if (aslid.equals("0"))
																		{}

																		else
																		{
																			i++;
																			if (i%2 != 0)
																			  gridclass = "gridrow2";
																			else
																			  gridclass = "gridrow1-spam";
%>
																			<TR class=<%=gridclass%>>
																				<TD style="WIDTH: 18%"><input type=hidden name=txtid value=<%=aslid%>><%= mailerid %></TD>
																				<TD style="WIDTH: 22%"><%= mailerdomain %></TD>
																				<TD style="WIDTH: 22%"><%= dateofentry %></TD>
																				<TD style="WIDTH: 12%">
																					<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'pre-approved'. All email from this sender is welcome." type="radio" value=1>P<INPUT class=radio name="optpolicy<%=i%>" title="Make this email address 'Unvalidated' and do not accept email unless the sender has validated themselves" type="radio" value=3>U<INPUT class=radio checked name="optpolicy<%=i%>" title="Make this email address 'spam' and reject all subsequent emails from this sender" type="radio" value=2>S
																				</TD>
																				<TD style="WIDTH: 12%">
																					<% if (Integer.parseInt(approvalid) ==1) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio checked value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==2) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio checked value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio value=3>S
																					<% } else if (Integer.parseInt(approvalid) ==3) { %>
																						<INPUT class=radio name="optscope<%=i%>" title="Apply policy to this email address only" type=radio value=1>E<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the entire domain (organization)" type=radio value=2>D<INPUT class=radio name="optscope<%=i%>" title="Apply policy to the domain AND any subdomains" type=radio checked value=3>S
																					<% } %>
																				</TD>
																				<% if (adminid == 3) {} else { %>
																					<TD style="WIDTH: 5%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkcopy></TD>
																				<% } %>
																				<TD style="WIDTH: 7%" align=middle><INPUT class=chbox type=checkbox value=<%= aslid %> name=chkdelete></TD>
																			</TR>
<%
																		}
%>
																		<% allrecords = Integer.parseInt(countasl); %>
																		</spam:SendersInfo>
																	<!--	<TR align=right class=footer>
																			<TD colSpan=7 id="chkall">Check All For Copy<INPUT class=chbox type=checkbox name=chkallcopy onclick="checkAllCopy()">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Check All For Delete<INPUT class=chbox type=checkbox name=chkalldelete onclick="checkAllDelete()"></TD>
																		</TR> -->
																		<TR align=right class=footer>
																			<TD colSpan=7><utility:paging totalrecords="<%=allrecords%>" minpage="<%=minpage%>" min="<%=min%>" pagingtype="all" 
																			clicked ="<%=clicked%>"
																			txtNumRec="<%=NumRec%>"/></TD></TD>
																		</TR>
																	</TBODY>
																</TABLE>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD align=middle height=7></TD>
																		</TR>
																		<TR>
																			<TD align=middle height=20 vAlign=top><SPAN class=ErrMsg id=ASLDetailsGrid_lblMsg><%=message%></SPAN><BR></TD>
																		</TR>
																		<TR>
																			<TD align=middle>
																				<INPUT class=btn name=cmdSave type=submit value="Save Changes" onclick="submitUpdate(); return false">
																				<INPUT class=btn name=cmdDelete type=submit value="Delete Checked" onclick="submitDelete(); return false">
																				<% if (adminid == 3) {}	else { %>
																					<INPUT class=btn name=cmdCopy type=submit value="Copy To Domain" onclick="copySenders(); return false">
																				<% } %>
																			</TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</TD>
														</TR>
<%
													}
%>
													</TBODY>
												</TABLE>
											</TD>
										</TR>
									</TBODY>
								</TABLE>
							</TD>
						</TR>
					</TBODY>
				</TABLE>
				<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
					<TBODY>
						<TR>
							<TD bgColor=black colSpan=2 height=1 width="100%"></TD>
						</TR>
						<TR>
							<TD colSpan=2 width="100%">&nbsp;</TD>
						</TR>
						<TR>
							<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
						</TR>
					</TBODY>
				</TABLE>
			<INPUT class=textInpt type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>