/********************************************************************************/
/* Name		: ServerAddUser.java						*/
/* Copyright	          : 2003 SATCOMLABS LTD.						*/
/* Team		: Spam Control Team							*/
/* Developer		: Amit Kumar								*/
/* Last Updated	: 									*/
/* Abstract		: Add Users to Domain						*/
/* Called from	: Dashboard								*/
/* Calls		: 									*/
/********************************************************************************/

package com.antispam;

import java.net.*;
import java.io.*;
import com.DBConnection;
import com.replace.Replace;
import java.sql.Connection;
import java.sql.Statement;
import java.sql.ResultSet;

public class AddUserDomain
{
      DBConnection dbconn = new DBConnection ();
      Replace rep = new Replace ();
      
      public int domainid = 0;
	      
      public String txtusername = "";		
      public String txtfname  = "";
      public String txtlname  = "";
      //public int cbodomains = 0;
      public int radauthority  = 0;
      public int radauto  = 0;
      public int radstatus  = 0;
	  public int passivestatus  = 0;
	  public int keymails  = 0;
	  public int allwd_exp_keymails  = 0;
	  public int allwd_lmt_keymails  = 0;
	  public int allwd_dsb_keymails  = 0;
      public String txtsubject = "";
	  public int TotalUsr = 0;
      public String txtbody = "";
      public String txtchallenge = "";
      public String txtapproval = "";
      public String txtalready = "";
      public String txtfailed = "";
      public String txtcomments  = "";
	  public String txtCarbonCopy  = "";
	  public int TotalCnt = 0;
	  public String txtAlternateEmail = "";
	  public String txtAlternateto="";
	  public String hidsendalsochallenge = "";
	  public String hidquarantined = "";
	  public String passiveflag = "";
	  public String domain_quarantine_time = "";
	  public String domain_passive_text = "";
    
    

	  String domainname = "";

	  /* SET-GET for Getting Quarantine time in domain */
     public void setPassiveText(String s)
	{ domain_passive_text = s;}

	 public String getPassiveText()
	{  return domain_passive_text; }


	  /* SET-GET for Getting Quarantine time in domain */
     public void setQuarantinetime(String s)
	{ domain_quarantine_time = s;}

	 public String getQuarantinetime()
	{ return domain_quarantine_time;}
      
	  	/* SET-GET  the passive challange mail flag*/
      public void setPassiveflag ( String s )
      {	  passiveflag = s;      }
      public String getPassiveflag ( )
      {	  return passiveflag;      }

	/* SET-GET  quarantined Flag*/
      public void setQuaranstatus ( String s )
      {	 hidquarantined = s;}
	      
	public String getQuaranstatus( )
      { return hidquarantined;  }

      	/* SET-GET  Grey list challange Mail*/
      public void setHidsendalsochallenge ( String s )
      {	 hidsendalsochallenge = s;}
	      
		public String getHidsendalsochallenge( )
      { return hidsendalsochallenge;  }

      /* SET-GET DOMAIN ID*/
      public void setDomainid ( int s )
      {	  domainid = s;      }
      public int getDomainid( )
      {	  return domainid;      }
      
      /* SET-GET  USERNAME	*/
      public void setTxtusername ( String s )
      {	  txtusername = s;      }
      public String getTxtusername  ( )
      {	  return txtusername;      }

	     
       /* SET-GET  First Name*/
      public void setTxtfname ( String s )
      {	txtfname = s;	}
      public String	getTxtfname ( )
      {	return txtfname.toLowerCase();	}
      
	/* SET-GET Last Name*/
      public void setTxtlname( String s )
      {	  txtlname = s;      }
      public String getTxtlname ( )
      {	  return txtlname.toLowerCase();      }
      
     
	/* SET-GET Authority*/
      public void setRadauthority ( int s )
      {	  radauthority = s;      }
      public int getRadauthority ( )
      {	  return radauthority;      }
      
      /* SET-GET Auto Approval*/
      public void setRadauto ( int s )
      {	  radauto = s;      }
      public int getRadauto( )
      {	  return radauto;      }
      
      /* SET-GET Status*/
      public void setRadstatus ( int s )
      {	  radstatus = s;      }
      public int getRadstatus ( )
      {	  return radstatus;      }

	  /* SET-GET PASSIVE STATUS*/
      public void setPassivestatus ( int s )
      {	  passivestatus = s;      }
      public int getPassivestatus ( )
      {	  return passivestatus;      }

	 /* SET-GET THE KEYMAILS */
      public void setKeymails ( int s )
      {	  keymails = s;      }
      public int getKeymails ( )
      {	  return keymails;      }
      
	/* SET-GET THE ALLOWEDEXPIREDKEYMAILS */
      public void setAllwd_exp_keymails ( int s )
      {	  allwd_exp_keymails = s;      }
      public int getAllwd_exp_keymails ( )
      {	  return allwd_exp_keymails;      }

	/* SET-GET THE ALLOWEDLIMITEDKEYMAILS */
      public void setAllwd_lmt_keymails ( int s )
      {	  allwd_lmt_keymails = s;      }
      public int getAllwd_lmt_keymails ( )
      {	  return allwd_lmt_keymails;      }

	/* SET-GET THE ALLOWEDDISABLEDKEYMAILS */
      public void setAllwd_dsb_keymails ( int s )
      {	  allwd_dsb_keymails = s;      }
      public int getAllwd_dsb_keymails ( )
      {	  return allwd_dsb_keymails;      }
	
     /* SET-GET EMAIL SUBJECT*/
      public void setTxtsubject( String s )
      {	  txtsubject = s;      }
      public String getTxtsubject( )
      {	  return txtsubject;      }
	
	/* SET-GET EMAIL BODY*/
      public void setTxtbody ( String s )
      {	  txtbody = s;      }
      public String getTxtbody ( )
      {	  return txtbody;      }

	/* SET-GET CHALLENGE */
      public void setTxtchallenge ( String s )
      {	  txtchallenge = s;      }
      public String getTxtchallenge( )
      {	  return txtchallenge;      }

	/* SET-GET APPROVAL */
      public void setTxtapproval ( String s )
      {	  txtapproval = s;      }
      public String getTxtapproval ( )
      {	  return txtapproval;      }

	/* SET-GET ALREADY*/
      public void setTxtalready ( String s )
      {	  txtalready = s;      }
      public String getTxtalready ( )
      {	  return txtalready;      }

	/* SET-GET FAILED*/
      public void setTxtfailed ( String s )
      {	  txtfailed = s;      }
      public String getTxtfailed ( )
      {	  return txtfailed;      }
      
      /* SET-GET COMMENTS*/
      public void setTxtcomments( String s )
      {	  txtcomments = s;      }
      public String getTxtcomments( )
      {	  return txtcomments;      }

	    /* SET-GET ALTERNATE EMAIL ADDRESS*/
      public void setTxtCarbonCopy( String s )
      {	  txtCarbonCopy = s;      }
      public String getTxtCarbonCopy( )
      {	  return txtCarbonCopy;      }

	  /* SET-GET THE ALTERNATE EMAIL ADDRESS */
	public void setTxtAlternateEmail ( String s )
	{	  txtAlternateEmail = s;      }
	public String getTxtAlternateEmail ( )
	{	  return txtAlternateEmail;      }


	/* SET-GET THE ALTERNATE EMAIL ADDRESS */
	public void setTxtAlternateto( String s )
	{	  txtAlternateto = s;      }
	public String getTxtAlternateto ( )
	{	  return txtAlternateto;      }


	
	//METHOD FOR INSERTING THE RECORDS
	public String InsertUser() 
	{
		Connection conn = null;
		Statement smt = null;
	    ResultSet rs = null;
		String qry = null;
		String mesg =null;
		//int mesg=0;
		txtusername = rep.replaceBy(txtusername, "'", "''");
		txtfname = rep.replaceBy(txtfname, "'", "''");
		txtlname = rep.replaceBy(txtlname, "'", "''");
		txtsubject = rep.replaceBy(txtsubject, "'", "''");
		txtbody = rep.replaceBy(txtbody, "'", "''"); 
		txtchallenge = rep.replaceBy(txtchallenge, "'", "''");
		txtapproval = rep.replaceBy(txtapproval, "'", "''");
		txtalready = rep.replaceBy(txtalready, "'", "''");
		txtfailed = rep.replaceBy(txtfailed, "'", "''");
		txtcomments = rep.replaceBy(txtcomments, "'", "''");
		txtCarbonCopy = rep.replaceBy(txtCarbonCopy, "'", "''");
		
		
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			
			qry="SELECT Email_UserName,DomainID FROM USERS WHERE UPPER(Email_UserName)='"+txtusername.toUpperCase()+"' AND DomainID="+domainid;
			rs=smt.executeQuery( qry );
			if(rs.next())
			{
				mesg ="User Already Exists";
			}
			else
			{	
				qry = "INSERT INTO USERS (FirstName,LastName,Email_UserName,DomainID,Status,AdminID,AutoAdd,AllowExpiredkeymails,AllowLimitedkeymails,AllowDisabledkeymails,EmailSubject,EmailBody,challengeWebPage,approvalWebPage,alreadyInWebPage,FailedWebPage,Comments,alternate_email,passivestatus,keymails, ALTERNATEFROMEMAIL,ALTERNATETO,challenge_flag,quarantined,passiveflag) VALUES ('"+txtfname.toLowerCase()+"', '"+txtlname.toLowerCase()+"', '"+txtusername.toLowerCase()+"',"+domainid+","+radstatus+","+radauthority+",'"+radauto+"',"+allwd_exp_keymails+","+allwd_lmt_keymails+","+allwd_dsb_keymails+",'"+txtsubject+"','"+txtbody+"','"+txtchallenge+"','"+txtapproval+"','"+txtalready+"','"+txtfailed+"','"+txtcomments+"','"+txtCarbonCopy+"',"+passivestatus+","+keymails+",'"+txtAlternateEmail+"','"+txtAlternateto+"','"+hidsendalsochallenge+"','"+hidquarantined+"','"+passiveflag+"')";
				smt.executeUpdate( qry );
				mesg = "User Successfully Added ";

				qry = "SELECT DOMAINNAME FROM DOMAINS WHERE DOMAINID="+domainid;
				rs = smt.executeQuery( qry );
				if(rs.next())
				{
					domainname = rs.getString( 1 );
				}
			}	
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			mesg = "Unable to Insert Records";
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return mesg;
	}
	
public void selectDefault()
	{
		Connection conn = null;
		Statement smt = null;
	    ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();
			qry ="SELECT DEFAULTCHALLENGEWEBPAGE, DEFAULTAPPROVALWEBPAGE,DEFAULTALREADYINWEBPAGE, DEFAULTFAILEDWEBPAGE, DEFAULTEMAIL_SUBJECT, DEFAULTEMAIL_BODY,AGEING,PASSIVETEXT FROM DOMAINS WHERE DOMAINID="+domainid;
				rs = smt.executeQuery( qry ); 
				if ( rs.next() )
				{
					setTxtchallenge(  rs.getString( 1 ));
					setTxtapproval( rs.getString( 2 ));
					setTxtalready( rs.getString( 3 ));
					setTxtfailed( rs.getString( 4 ));
					setTxtsubject(  rs.getString( 5 ));
					setTxtbody(  rs.getString( 6 ));
					setQuarantinetime(rs.getString(7));
				    setPassiveText(rs.getString(8));
					
				}
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
	}
	public int TotalCount()
	{
		Connection conn = null;
		Statement smt = null;
	    ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();

			qry ="SELECT Count(*) from USERS  where DomainID="+domainid;
			rs = smt.executeQuery( qry );
			if( rs.next())
			{
				TotalCnt = rs.getInt(1);
			}			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return TotalCnt;
	}
	public int TotalUser()
	{
		Connection conn = null;
		Statement smt = null;
                ResultSet rs = null;
		String qry = null;
		try
		{
			conn = dbconn.getConnection();
			smt = conn.createStatement();

			qry ="SELECT TOTAL_USER from Domains where DomainID="+domainid;
			rs = smt.executeQuery( qry );
			if( rs.next())
			{
				TotalUsr = rs.getInt(1);
				//System.out.println("TotalUSER---->"+TotalUsr);
			}			
		}
		catch ( Exception e )
		{	System.out.println("Exception-->"+e);
			
		}
		finally
		{
			try {
				smt.close();
				conn.close();
			} catch ( Exception ignored ) {}
		}
		return TotalUsr;
	}
	
}
