<%
/********************************************************************************/
/* Name			:	editasl.jsp													*/
/* Copyright	:	2005 DATA INFOCOM LTD.										*/
/* Team			:	Spam Control Team											*/
/* Developer	:	Kishan Kumar Meena											*/
/* Last Updated	:	12.29 PM 22/02/2005											*/
/* Abstract		:	Update and delete records in ASL table						*/
/* Called from	: 	usermaun.jsp, userviewall.jsp								*/
/* Calls		:	AddWhiteList.class											*/
/********************************************************************************/
%>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<jsp:useBean id = "addwhitelist" scope="page" class="com.antispam.AddWhiteList" />

<%
String returnval = "";
int userid = 0;
int tempuserid = validate.getTempuserid();

int loginuserid = validate.getUserid();

if(tempuserid == 0)
	userid = loginuserid;
else 
	userid = tempuserid;
int domainid = validate.getDomainid();

String flag = request.getParameter("flag");

int condition = 0;
int validated = 0;
String val = "";
if(request.getParameter("val")!= null)
	val = request.getParameter("val");
else 
	val = "";

if(request.getParameter("conditionid") != null)
	condition = Integer.parseInt(request.getParameter("conditionid"));
if(request.getParameter("validate") != null)
	validated = Integer.parseInt(request.getParameter("validate"));

int approvalid = 0;
int conditionid = 0;
int aslid = 0;


//GETTING SCOPE OF EMAIL ADDRESS
if(flag.equals("UPDATESCOPE"))
{
	if(request.getParameter("cmdScope").equals("E"))
		approvalid = 1;
	if(request.getParameter("cmdScope").equals("D"))
		approvalid = 2;
	if(request.getParameter("cmdScope").equals("S"))
		approvalid = 3;
}

//GETTING CONDITION TYPE OF EMAIL ADDRESS
else if(flag.equals("UPDATEPOLICY"))
{
	if(request.getParameter("cmdPolicy").equals("P"))
		conditionid = 1;
	if(request.getParameter("cmdPolicy").equals("S"))
		conditionid = 2;
	if(request.getParameter("cmdPolicy").equals("U"))
		conditionid = 3;
}

if(request.getParameter("aslid") != null)
	aslid = Integer.parseInt(request.getParameter("aslid"));
%>
<!--SETTING ALL THE REQUIRED VALUES -->
<jsp:setProperty name="addwhitelist" property="flag" value=<%= flag %> />
<jsp:setProperty name="addwhitelist" property="approvalid" value="<%= approvalid %>" />
<jsp:setProperty name="addwhitelist" property="conditionid" value="<%= conditionid %>" />
<jsp:setProperty name="addwhitelist" property="userid" value="<%= userid %>" />
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= aslid %>" />
<%
	if(val.equals("all"))
	{
		if(flag.equals("DELETE"))
		{
			String arraslid[] = request.getParameterValues("chkdelete");
			for(int i=0; i<arraslid.length; i++)
			{
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i] %>" />
<%
				returnval = addwhitelist.registered();
			}
			response.sendRedirect("userviewall.jsp?conditionid="+condition+"&validate="+validated+"&returnval="+returnval);
		}
		else if(flag.equals("UPDATE"))
		{
			int arrapprovalid = 0;
			int arrconditionid = 0;
			String arraslid[]=request.getParameterValues("txtid");
			int recordcount = Integer.parseInt(request.getParameter("txtcount"));
			for(int i=1; i<=recordcount; i++)
			{
				arrconditionid = Integer.parseInt(request.getParameter("optpolicy"+i));
				arrapprovalid = Integer.parseInt(request.getParameter("optscope"+i));
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i-1] %>" />
<jsp:setProperty name="addwhitelist" property="approvalid" value="<%= arrapprovalid %>" />
<jsp:setProperty name="addwhitelist" property="conditionid" value="<%= arrconditionid %>" />
<%
				returnval = addwhitelist.registered();
			}
			response.sendRedirect("userviewall.jsp?conditionid="+condition+"&validate="+validated+"&returnval="+returnval);
		}

		else if(flag.equals("COPY"))
		{
			String arraslid[] = request.getParameterValues("chkcopy");
			for(int i=0; i<arraslid.length; i++)
			{
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i] %>" />
<jsp:setProperty name="addwhitelist" property="domainid" value="<%= domainid %>" />
<%
			returnval = addwhitelist.registered();
			}
			response.sendRedirect("userviewall.jsp?conditionid="+condition+"&validate="+validated+"&returnval="+returnval);
		}
	}

	else if(val.equals("selected"))
	{
		String flag1 = request.getParameter("flag1");
		String txtsearch = request.getParameter("txtsearch");
		String rdoPolicy = request.getParameter("rdoPolicy");
		String rdoScope = request.getParameter("rdoScope");
		String txtAfter = request.getParameter("txtAfter");
		String txtBefore = request.getParameter("txtBefore");

		if(flag.equals("DELETE"))
		{
			String type = request.getParameter("type");
			String arraslid[] = request.getParameterValues("chkdelete");
			for(int i=0; i<arraslid.length; i++)
			{
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i] %>" />
<%
				returnval = addwhitelist.registered();
			}
			response.sendRedirect("customview.jsp?flag1="+flag1+"&txtsearch="+txtsearch+"&rdoPolicy="+rdoPolicy+"&rdoScope="+rdoScope+"&txtAfter="+txtAfter+"&txtBefore="+txtBefore+"&returnval="+returnval+"&update_type="+type);
		}
		else if(flag.equals("UPDATE"))
		{
			String type = request.getParameter("type");
			int mincount = 0;
			int recordcount = 0;
			int arrapprovalid = 0;
			int arrconditionid = 0;
			String arraslid[]=request.getParameterValues("txtid");
	
			if(request.getParameter("type").equals("updateany"))
			{
				mincount = Integer.parseInt(request.getParameter("txtmincount"))+1;
				recordcount = Integer.parseInt(request.getParameter("txtcount"));
			}
			else if(request.getParameter("type").equals("updatepre"))
			{
				mincount = Integer.parseInt(request.getParameter("txtmincount1"))+1;
				recordcount = Integer.parseInt(request.getParameter("txtcount1"));
			}
			else if(request.getParameter("type").equals("updateunvalid"))
			{
				mincount = Integer.parseInt(request.getParameter("txtmincount2"))+1;
				recordcount = Integer.parseInt(request.getParameter("txtcount2"));
			}
			else if(request.getParameter("type").equals("updatevalid"))
			{
				mincount = Integer.parseInt(request.getParameter("txtmincount3"))+1;
				recordcount = Integer.parseInt(request.getParameter("txtcount3"));
			}
			else if(request.getParameter("type").equals("updatespam"))
			{
				mincount = Integer.parseInt(request.getParameter("txtmincount4"))+1;
				recordcount = Integer.parseInt(request.getParameter("txtcount4"));
			}
	
			for(int i=mincount; i<=recordcount; i++)
			{
				arrconditionid = Integer.parseInt(request.getParameter("optpolicy"+i));
				arrapprovalid = Integer.parseInt(request.getParameter("optscope"+i));
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i-1] %>" />
<jsp:setProperty name="addwhitelist" property="approvalid" value="<%= arrapprovalid %>" />
<jsp:setProperty name="addwhitelist" property="conditionid" value="<%= arrconditionid %>" />
<%
				returnval = addwhitelist.registered();
			}
			response.sendRedirect("customview.jsp?flag1="+flag1+"&txtsearch="+txtsearch+"&rdoPolicy="+rdoPolicy+"&rdoScope="+rdoScope+"&txtAfter="+txtAfter+"&txtBefore="+txtBefore+"&returnval="+returnval+"&update_type="+type);
		}
		else if(flag.equals("COPY"))
		{
			String type = request.getParameter("type");
			String arraslid[] = request.getParameterValues("chkcopy");
			for(int i=0; i<arraslid.length; i++)
			{
%>
<jsp:setProperty name="addwhitelist" property="aslid" value="<%= arraslid[i] %>" />
<jsp:setProperty name="addwhitelist" property="domainid" value="<%= domainid %>" />
<%
			returnval = addwhitelist.registered();
			}
			response.sendRedirect("customview.jsp?flag1="+flag1+"&txtsearch="+txtsearch+"&rdoPolicy="+rdoPolicy+"&rdoScope="+rdoScope+"&txtAfter="+txtAfter+"&txtBefore="+txtBefore+"&returnval="+returnval+"&update_type="+type);
		}
	}
	else
	{
		String flag1 = request.getParameter("flag1");
		String searchtext = "";
		if(request.getParameter("txtsearch") !=null)
			searchtext = request.getParameter("txtsearch");
		else
			searchtext = "";
		returnval = addwhitelist.registered();
		response.sendRedirect("usermain.jsp?flag1="+flag1+"&txtsearch="+searchtext);
	}

	
%>
