<%
/********************************************************************************/
/* Name			:serverviewallusers.jsp											*/
/* Copyright	:2003 SATCOMLABS LTD.											*/
/* Team			:Spam Control Team												*/
/* Developer	:Pavan Gupta													*/
/* Last Updated	:2.45 PM 08/01/2004												*/
/* Abstract		:display  entries of users										*/
/* Called from	:servermain.jsp													*/
/* Calls		:																*/
/********************************************************************************/
%>
<%@ taglib prefix="server" uri="/WEB-INF/TLDS/server.tld" %>
<%@ taglib prefix="spam" uri="/WEB-INF/TLDS/spamcontrollar.tld" %>
<%@ taglib prefix="utility" uri="/WEB-INF/TLDS/utility.tld" %>
<%@ taglib prefix="domain" uri="/WEB-INF/TLDS/domain.tld" %>
<jsp:useBean id = "validate" scope="session" class="com.antispam.Authentication" />
<%
int user_id = validate.getUserid();
int adminid = validate.getAdminid();
int NumRec = 10;
String clicked = "";
String cboDomains = "";

if(user_id==0 || adminid!=1)
{
	response.sendRedirect("dashboardlogin.jsp");
}
else
{
	int userminpage = 0;
	int usermin = 1;
	int userminimum = 1;

	int domain_id = validate.getDomainid();
	int i=0;

	/*int domainid = 0;
	String searchaddress ="*";
	int userstatus = 0;
	int admin = 0;*/

	if(request.getParameter("hiduserminpage") != null)
		userminpage = Integer.parseInt(request.getParameter("hiduserminpage"));
	if(request.getParameter("hidusermin") != null)
		usermin = Integer.parseInt(request.getParameter("hidusermin"));
	if(request.getParameter("hiduserminimum") != null && !request.getParameter("hiduserminimum").equals("") )
			userminimum = Integer.parseInt(request.getParameter("hiduserminimum"));

	int domainid = 0;
	if(request.getParameter("cboDomains") != null)
		domainid = Integer.parseInt(request.getParameter("cboDomains"));
	else
		domainid = domain_id;

	//FLAG TO CHECK DISPLAY PROPERTY OF SHOW ALL USERS BUTTON 
	String flag1="false";
	if(request.getParameter("flag1") != null)
		flag1 = request.getParameter("flag1");

	//FLAG FOR DIPSLAY PROPERTY OF TABLE WHICH SHOW SEARCH RESULT
	String flag2="false";
	if(request.getParameter("flag2") != null)
		flag2 = request.getParameter("flag2");

	//SEARCH EMAIL ADDRESS
	String searchaddress ="*";
	if(request.getParameter("txtEmail") != null)
		searchaddress = request.getParameter("txtEmail");

	//SELECTED STATUS ID
	int userstatus = 0;
	if(request.getParameter("rdoStatus") != null)
		userstatus = Integer.parseInt(request.getParameter("rdoStatus"));

	//SELECTED ADMIN ID
	int admin = 0;
	if(request.getParameter("rdoAdmin") != null)
		admin = Integer.parseInt(request.getParameter("rdoAdmin"));

	String message = "";
	if(request.getParameter("retval") != null)
		message = request.getParameter("retval");

	String orderuser = "desc";
	String columnnameuser = "firstname";

	if(request.getParameter("hidorderuser") != null)
		orderuser = request.getParameter("hidorderuser");
	if(request.getParameter("hidcolumnuser") != null)
		columnnameuser = request.getParameter("hidcolumnuser");
	if(request.getParameter("txtNumRec")!=null)
	NumRec = Integer.parseInt(request.getParameter("txtNumRec"));
	
	if(request.getParameter("hidclicked") != null)
		clicked = request.getParameter("hidclicked");

	//if(request.getParameter("hidcboDomains") != null)
		cboDomains = request.getParameter("cboDomains");
	
%>
<HTML>
	<HEAD>
		<TITLE>View All Server Users</TITLE>
		<LINK href="stylesheets/display_control.css" type=text/css rel=stylesheet>
	</HEAD>
	<SCRIPT language=javascript id=valIp src="scripts/ValidationScript.js"></SCRIPT>
	<SCRIPT language=javascript src="scripts/WebUIValidation.js"></SCRIPT>
	<SCRIPT language=javascript id=valIp src="scripts/validations.js"></SCRIPT>
	<SCRIPT language=javascript>
		//FUNCTION TO CHECK USER PERSONA
		function userPersona(userid)
		{
			if(userid == '<%=user_id%>')
				location.href = "usermain.jsp?userid="+userid;
			else
			{
				var persona = confirm("You will assume the persona of this user.Any subsequent edits to the Whitelist,Keymails or alias will be for this user only.Are you sure you wish to proceed? ");

				if(persona == true)
					location.href = "usermain.jsp?userid="+userid;
			}
		}

		function load()
		{
			document.ViewAllUsers.txtEmail.focus();
			document.ViewAllUsers.rdoStatus[<%=userstatus%>].checked=true;
			document.ViewAllUsers.rdoAdmin[<%=admin%>].checked=true;
		}

		function checkValid()
		{
			if(Trim(document.ViewAllUsers.txtEmail.value)=="" )
			{
				alert("Email Address can not be empty");
				document.ViewAllUsers.txtEmail.focus();
				return false;
			}
			else if(chkSearchText(document.ViewAllUsers.txtEmail.value) == "false") // CHECK SPECIAL CHARACTERS
			{
				alert("Special Characters are not allowed");
				document.ViewAllUsers.txtEmail.focus();
				return false;
			}
			else
			{
				document.ViewAllUsers.flag1.value="true";
				document.ViewAllUsers.hiduserminpage.value="0";
				document.ViewAllUsers.hidusermin.value="1";
				document.ViewAllUsers.hiduserminimum.value="1";
				action="serverviewallusers.jsp";
				document.ViewAllUsers.submit();
			}
		}

		function showAll()
		{
			document.ViewAllUsers.flag1.value = "false";
			document.ViewAllUsers.txtEmail.value = "*";
			document.ViewAllUsers.cboDomains.value = '<%=domain_id%>';
			document.ViewAllUsers.rdoStatus[0].checked = true;
			document.ViewAllUsers.rdoAdmin[0].checked = true;
			document.ViewAllUsers.hiduserminpage.value="0";
			document.ViewAllUsers.hidusermin.value="1";
			document.ViewAllUsers.hiduserminimum.value="1";
			action="serverviewallusers.jsp";
			document.ViewAllUsers.submit();
		}


		// SUBMIT THE PAGE FOR DELETE THE RECORDS AND ALSO CHECK THAT AT LEAST ONE RECORD SHOULD BE SELECTED
		function submitDelete()
		{
			recordcount = document.ViewAllUsers.txtcount.value;


			if(recordcount == 0)
				alert ("No Record To Delete");
			else
			{
				var chkid = document.ViewAllUsers.chkdelete;
				var checked=false;
				if(recordcount == 1)
				{
					if(chkid.checked == 1)
						checked = true;
				}
				else if (recordcount > 1)
				{
					if(chkid.length == undefined)	
					{
						if(chkid.checked == 1)
						{
							flag=true;
						}
						
						
					}
					else
					{	
						for(i=0; i<chkid.length; i++)
						{
							if(chkid[i].checked == 1)
							{
								checked=true;
								break;
							}
						}
					}
				}
				if(checked==false)
					alert("Please check at least one record");
				else
				{
					document.ViewAllUsers.action = "edituserlist.jsp?flag=DELETE";
					document.ViewAllUsers.submit();
				}
			}
		}

		//FUNCTION TO UPDATE RECORDS
		function submitUpdate()
		{
			recordcount = document.ViewAllUsers.txtcount.value;
				
			if(recordcount == 0)
				alert ("No Record To Update");
			else
			{
				document.ViewAllUsers.action = "edituserlist.jsp?flag=UPDATE&";
				document.ViewAllUsers.submit();
			}
		}

		//FUNCTION TO SORT USERS
		function sortUser(order,column)
		{
			document.ViewAllUsers.hidcolumnuser.value=column;
			document.ViewAllUsers.hidorderuser.value=order;
			document.ViewAllUsers.cboDomains.value=document.ViewAllUsers.hidcboDomains.value;
			document.ViewAllUsers.action="serverviewallusers.jsp";
			document.ViewAllUsers.submit();
		}

		//FUNCTION TO SHOW NEXT 10 PAGES
		function changePage(pageno,min,pagingtype)
		{
			
			document.ViewAllUsers.hiduserminpage.value=pageno;
			document.ViewAllUsers.hidusermin.value=min;
			document.ViewAllUsers.hiduserminimum.value=min;
			document.ViewAllUsers.hidclicked.value=pagingtype;
			
			document.ViewAllUsers.action="serverviewallusers.jsp";
			document.ViewAllUsers.submit();
		}

		//FUNCTION TO SHOW NEXT PAGE
		function Page(min,max,pagingtype)
		{
			
			document.ViewAllUsers.hiduserminimum.value=min;
			document.ViewAllUsers.hidNumRec.value=10;
			document.ViewAllUsers.action="serverviewallusers.jsp";
			document.ViewAllUsers.submit();
		}
	</SCRIPT>

	<BODY onload="load()">
		<FORM name=ViewAllUsers method=post onsubmit="checkValid(); return false">
	
			<INPUT type="hidden" name="hiduserminpage" value=<%=userminpage%>>
			<INPUT type="hidden" name="hidusermin" value=<%=usermin%>>
			<INPUT type="hidden" name="hiduserminimum" value=<%=userminimum%>>
			<INPUT type="hidden" name="hidNumRec" value="<%=NumRec%>">
			<INPUT type="hidden" name="hidclicked" value="<%=clicked%>">
			<INPUT type="hidden" name="hidcboDomains" value="<%=cboDomains%>">

			<INPUT type=hidden name=flag1 value=<%=flag1%>>
			<INPUT type=hidden name=flag2 value=true>
			<INPUT type=hidden class=textinpt name=hidcolumnuser value="<%=columnnameuser%>">
			<INPUT type=hidden class=textinpt name=hidorderuser value="<%=orderuser%>">

			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD colSpan=2><!--for the header Image-->
							<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD bgColor=#cecece>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
														<TD vAlign=top align=left width="52%"><IMG src="images/img.gif" vspace=5 width="437" height="37"></TD>
														<TD vAlign=top align=right width="48%"><IMG  src="images/topbar-right.gif" width="229" height="48"></TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
									<TR>
										<TD bgColor=#000000><IMG src="images/1x1.gif" width="1" height="1"></TD>
									</TR>
									<TR>
										<TD vAlign=bottom align=left bgColor=#007ccd height=37>
											<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
												<TBODY>
													<TR>
													<% if (adminid == 1) { %>
														<TD align=left vAlign=bottom width="33%">
															<DIV class=header id=TopBanner_UserPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "usermain.jsp">User</a></TD>
																			<TD align=right width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="33%">
															<DIV class=header id=TopBanner_Panel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "domainmain.jsp">Domain</A></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
														<TD width="34%">
															<DIV class=header_active id=TopBanner_ServerPanel>
																<TABLE border=0 cellPadding=0 cellSpacing=0 width="100%">
																	<TBODY>
																		<TR>
																			<TD width=5><IMG src="images/tab-left.gif" width="5" height="17"></TD>
																			<TD align=middle style="FONT-SIZE: 12px; FONT-WEIGHT: bold"><A href = "servermain.jsp">Server</a></TD>
																			<TD width=5><IMG src="images/tab-right.gif" width="5" height="17"></TD>
																		</TR>
																	</TBODY>
																</TABLE>
															</DIV>
														</TD>
													<% } %>
													</TR>
													<TR>
														<TD colSpan=3>
															<TABLE cellSpacing=0 cellPadding=2 width="100%" border=0>
																<TBODY>
																	<TR class=blanktd>
																		<spam:UserInfo userid="<%= user_id %>">
																			<TD width="90%">Logged in as: <%= username %>@<%=domainname%> on Server: <%=request.getServerName()%></TD>
																		</spam:UserInfo>
																		<TD align=right width="10%"><A class=gridrowlink href=javascript:onclick=openHelp('help/ServerViewAllHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A></TD>
																	</TR>
																	<TR>
																		<TD bgColor=#330099 colSpan=2></TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
					<TR>
						<TD class=navbg><!--For the menu--><!--Menu for Server Admin-->
							<server:servermenu showCurrPage="6" />
						</TD>
						<TD vAlign=top align=middle><!--Main Section-->
							<TABLE cellSpacing=2 cellPadding=0 width="100%" border=0>
								<TBODY>
									<TR>
										<TD>
											<TABLE id=Table1 cellSpacing=0 cellPadding=0 width="100%"  border=0>
												<TBODY>
													<TR class=2nd_grid_head>
														<TD align=left width="100%" colSpan=2 height=16><P align=center>Search Users in this Domain </P></TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%">Email Address</TD>
														<TD width="70%">
															<INPUT class=textinpt id=txtEmail maxLength=50 name=txtEmail size="20" value=<%=searchaddress%>>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%">Domain</TD>
														<TD width="70%">
															<SELECT class=combox id=cboDomains name=cboDomains>
																<server:domainlist column="domainname" order="desc" alldomains="ALL"><option value=<%=DomainID%> <%if(domain_id==Integer.parseInt(DomainID)) 	{ out.println("Selected"); }%>><%=DomainName%></option></server:domainlist>
															</SELECT>
															<script>
															if(document.ViewAllUsers.hidcboDomains.value != "null")
															{
																document.ViewAllUsers.cboDomains.value = document.ViewAllUsers.hidcboDomains.value;
															}
															
															</script>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%">Status</TD>
														<TD width="70%">
															<TABLE id=rdoStatus style="FONT-SIZE: 100%; WIDTH: 258; BORDER-COLLAPSE: collapse" cellSpacing=0 cellPadding=0 border=0>
																<TBODY>
																	<TR>
																		<TD>
																			<INPUT id=rdoStatus_0 type=radio CHECKED value=0  name=rdoStatus><LABEL for=rdoStatus_0>Any</LABEL>
																		</TD>                       
																		<TD>
																			<INPUT id=rdoStatus_1 type=radio value=1 name=rdoStatus><LABEL for=rdoStatus_1>Active
																			</LABEL>
																		</TD>                      

																		<TD>
																			<INPUT id=rdoStatus_2 type=radio value=2 name=rdoStatus><LABEL for=rdoStatus_2>Passive
																			</LABEL>
																		</TD>
																		<TD>
																			<INPUT id=rdoStatus_3 type=radio value=3 name=rdoStatus><LABEL for=rdoStatus_3>Silent
																			</LABEL>
																		</TD>
																		<TD>
																			<INPUT id=rdoStatus_4 type=radio  value=4  name=rdoStatus><LABEL for=rdoStatus_4>PassThrough </LABEL>
																		</TD>
																		<TD>                          <INPUT id=rdoStatus_5 name=rdoStatus type=radio value=5 ><LABEL for=rdoStatus_4>Greylist</LABEL>                              </TD>  
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%">Role</TD>
														<TD width="70%">
															<TABLE id=RdoAdmin style="FONT-SIZE: 100%; BORDER-COLLAPSE: collapse" cellSpacing=0 cellPadding=0 border=0>
																<TBODY>
																	<TR>
																		<TD>
																			<INPUT id=RdoAdmin_0 type=radio CHECKED value=0 name=rdoAdmin>
																			<LABEL for=RdoAdmin_0>Any</LABEL>
																		</TD>
																		<TD>
																			<INPUT id=RdoAdmin_1 type=radio value=1 name=rdoAdmin>
																			<LABEL for=RdoAdmin_1>Server Admin</LABEL>
																		</TD>
																		<TD>
																			<INPUT id=RdoAdmin_2 type=radio value=2 name=rdoAdmin>
																			<LABEL for=RdoAdmin_2>Domain Admin</LABEL>
																		</TD>
																		<TD>
																			<INPUT id=RdoAdmin_3 type=radio value=3 name=rdoAdmin>
																			<LABEL for=RdoAdmin_3>Normal User</LABEL>
																		</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<TR class=general_tr>
														<TD width="30%"></TD>
														<TD width="70%">
															<INPUT class=btn id=btnSearch onclick="checkValid(); return false" type=submit value="Filter Users List" name=btnSearch>
															<span id=showall>
																<INPUT class=btn onclick="showAll();return false" type=submit value="Show All Users" name="btnShowAll">
															</span>
															<A class=gridrowlink href=javascript:onclick=openHelp('help/SearchHelp.htm') style="FONT-SIZE: 10px; FONT-WEIGHT: bold">Help</A>
														</TD>
														<script>
															flag1='<%=flag1%>';
															if(flag1 == "false")
																showall.style.display = 'none';
															else if(flag1 == "true")
																showall.style.display = '';
														</script>
													</TR>
													<TR class=general_tr>
														<TD width="100%" colspan=2 height=1 bgcolor=black></TD>
													</TR>
													<TR id=result>
														<TD align=left width="50%" colSpan=2>
															<TABLE id=Grid1_PUVGrid style="WIDTH: 100%; BORDER-COLLAPSE: collapse" cellSpacing=0 cellPadding=1 rules=cols border=1>
																<TBODY>
																	<TR class="1stgrid_head-user">
																		<TD width="100%" colspan=5>Users in Domain: <domain:domaininfo domain_id="<%= domainid %>" /> </TD>
																	</TR>
																	<server:serversendersheader condition="4" orderuser="<%=orderuser%>" columnnameuser="<%=columnnameuser%>" />
																	<server:allusers minimum="<%=userminimum%>" admin_id="<%=admin%>" status_id="<%=userstatus%>" domain_id="<%=domainid%>" emailaddress="<%=searchaddress%>" column="<%=columnnameuser%>" order="<%=orderuser%>">
<%
																	if (userid.equals("0"))
																	{}
																	else
																	{
																		String gridclass = "";
																		i++;
																		if (i%2 != 0)
																			gridclass = "gridrow2";
																		else
																			gridclass = "gridrow1-user";
%>
																		<TR class="<%=gridclass%>">
																			<TD style="WIDTH: 25%" title="Assume this user's persona"><INPUT type=hidden name=txtuserid value=<%=userid%>><A class=nav href="javascript:onclick=userPersona('<%=userid%>')"><%=firstname%> <%=lastname%></A></TD>
																			<TD style="WIDTH: 28%"><a class=nav href="serverusersettings.jsp?userid=<%=userid%>&domainid=<%=domainid%>"><%=username%>@<%=userdomain%></a></TD>
																			<TD style="WIDTH: 30%">
																				<% if (status.equals("1")) { %>
																					<INPUT type="radio" checked title="Active: Unknown senders must validate themselves in order to send email to me" name="rdoStatusid<%=i%>" value="1">A<INPUT type="radio" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" name="rdoStatusid<%=i%>" value="2">P<INPUT type="radio" title="Silent: Accept all email" name="rdoStatusid<%=i%>" value="3">S <INPUT  type="radio"  title="Passthrough:  Accept all mails dont add to my whitelist"			name="rdoStatusid<%=i%>"
																					value="4">T
																					<INPUT type="radio" title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time "name="rdoStatusid<%=i%>" value="5">G
																				<% } else if (status.equals("2")) { %>
																					<INPUT type="radio" title="Active: Unknown senders must validate themselves in order to send email to me" name="rdoStatusid<%=i%>" value="1">A<INPUT type="radio" checked title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" name="rdoStatusid<%=i%>" value="2">P<INPUT type="radio" title="Silent: Accept all email" name="rdoStatusid<%=i%>" value="3">S
																					<INPUT  type="radio"   title="Passthrough:  Accept all mails dont add to my whitelist "			name="rdoStatusid<%=i%>"
																					value="4">T
																					<INPUT type="radio"  title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time "name="rdoStatusid<%=i%>" value="5">G
																				<% } else if (status.equals("3")) { %>
																					<INPUT type="radio" title="Active: Unknown senders must validate themselves in order to send email to me" name="rdoStatusid<%=i%>" value="1">A<INPUT type="radio"  title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" name="rdoStatusid<%=i%>" value="2">P<INPUT type="radio" checked title="Silent: Accept all email" name="rdoStatusid<%=i%>" value="3">S
																					<INPUT  type="radio"   title="Passthrough:  Accept all mails dont add to my whitelist "
																					name="rdoStatusid<%=i%>"
																					value="4">T
																					<INPUT type="radio"  title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time "name="rdoStatusid<%=i%>" value="5">G
																					<% } else if (status.equals("4")) { %>
																					<INPUT type="radio"
																					title="Active: Unknown senders must validate themselves in order to send email to me  " name="rdoStatusid<%=i%>" value="1">A<INPUT type="radio"  title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" name="rdoStatusid<%=i%>" value="2">P<INPUT type="radio" title="Silent: Accept all email" name="rdoStatusid<%=i%>" value="3">S
																					<INPUT  type="radio"  checked title="Passthrough:  Accept all mails dont add to my whitelist "			name="rdoStatusid<%=i%>"
																					value="4">T
																					<INPUT type="radio"  title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time "name="rdoStatusid<%=i%>" value="5">G
																						
																				 
																			</TD>

																				<% }else if (status.equals("5")) { %>
																					<INPUT type="radio" title="Active: Unknown senders must validate themselves in order to send email to me" name="rdoStatusid<%=i%>" value="1">A<INPUT type="radio" title="Passive: Accept email from everyone but add '[Unknown]' to the subject line from unknown senders" name="rdoStatusid<%=i%>" value="2">P<INPUT type="radio"  title="Silent: Accept all email" name="rdoStatusid<%=i%>" value="3">S
																					<INPUT  type="radio"   title="Passthrough:  Accept all mails dont add to my whitelist  "		name="rdoStatusid<%=i%>"
																					value="4">T
																					
																					<INPUT type="radio" checked title="Greylist: Unknown senders will be rejected with a 451 smtp errorofspecified amount of time "name="rdoStatusid<%=i%>" value="5">G
																				<% }  %>
																				 
																			</TD>
																			<TD style="WIDTH: 14%">
																				<% if (authority.equals("3")) { %>
																					<INPUT type="radio" checked title="This is a Normal user" name="rdoadminid<%=i%>" value="3">U<INPUT type="radio" title="This is a Domain Administrator" name="rdoadminid<%=i%>" value="2">D<INPUT type="radio" title="This is a Server Administrator" name="rdoadminid<%=i%>" value="1">S
																				<% } else if (authority.equals("2")) { %>
																					<INPUT type="radio" title="This is a Normal user" name="rdoadminid<%=i%>" value="3">U<INPUT type="radio" checked title="This is a Domain Administrator" name="rdoadminid<%=i%>" value="2">D<INPUT type="radio" title="This is a Server Administrator" name="rdoadminid<%=i%>" value="1">S
																				<% } else if (authority.equals("1")) { %>
																					<INPUT type="radio" title="This is a Normal user" name="rdoadminid<%=i%>" value="3">U<INPUT type="radio" title="This is a Domain Administrator" name="rdoadminid<%=i%>" value="2">D<INPUT type="radio" checked title="This is a Server Administrator" name="rdoadminid<%=i%>" value="1">S
																				<% } %>
																			</TD>
																			<% if (Integer.parseInt(userid) == user_id) { %>
																				<TD style="WIDTH: 7%"></TD>
																			<% } else { %>
																				<TD style="WIDTH: 7%"><INPUT type="checkbox" name="chkdelete" value=<%=userid%> ></TD>
																			<% } %>
																		</TR>
<%
																	}
%>
																	</server:allusers>
																	<% int userrecords = Expruser.intValue(); %>
																	<tr class='footer' align='Right' style='font-weight:bold;'>
																		<td colspan='7' >
																			<utility:paging totalrecords="<%=userrecords%>" minpage="<%=userminpage%>" min="<%=usermin%>" pagingtype="user" 
																			txtNumRec="<%=NumRec%>"
																			clicked ="<%=clicked%>"/>
																		</td>
																	</tr>
																</TBODY>
															</TABLE>
															<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
																<TBODY>
																	<TR>
																		<TD vAlign="top" align="center" height="20" colspan=5><font size=2 color=red><%=message%></font></td>
																	</TR>
																	<TR>
																		<TD align="center" colspan=5>
																			<INPUT type="submit" name="btnUpdate" value="Save Changes" class="btn" onclick="submitUpdate(); return false"> <INPUT type="submit" name="btnDelete" value="Delete Checked" class="btn" onclick="submitDelete(); return false">
																		</TD>
																	</TR>
																</TBODY>
															</TABLE>
														</TD>
													</TR>
													<script>
													var flag2 = '<%=flag2%>'
													if (flag2 == "false")
														result.style.display = 'none';
													else if (flag2 == "true")
														result.style.display = '';
													</script>
												</TBODY>
											</TABLE>
										</TD>
									</TR>
								</TBODY>
							</TABLE>
						</TD>
					</TR>
				</TBODY>
			</TABLE>
			<TABLE cellSpacing=0 cellPadding=0 width="100%" border=0>
				<TBODY>
					<TR>
						<TD width="100%" bgColor=black colSpan=2 height=1></TD>
					</TR>
					<TR>
						<TD colSpan=2 width="100%">&nbsp;</TD>
					</TR>
					<TR>
						<TD align=middle class=footer colSpan=2 width="100%"><%@ include file= "includes/footer.htm" %></TD>
					</TR>
				</TBODY>
			</TABLE>
			<INPUT type=hidden name=txtcount value=<%=i%>>
		</FORM>
	</BODY>
</HTML>
<%
}
%>